Welcome

StatViewer IxLoad 6.10
Online Help

September 2012

913-1635

Top of page

www.ixiacom.com


Copyrights and Trademarks

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

Copyright and Disclaimer

Copyright © 2012 Ixia. All rights reserved.

This publication may not be copied, in whole or in part, without Ixia’s consent.

RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by the U.S. Government is subject to the restrictions set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 and FAR 52.227-19.

Ixia, the Ixia logo, and all Ixia brand names and product names in this document are either trademarks or registered trademarks of Ixia in the United States and/or other countries. All other trademarks belong to their respective owners.

The information herein is furnished for informational use only, is subject to change by Ixia without notice, and should not be construed as a commitment by Ixia. Ixia assumes no responsibility or liability for any errors or inaccuracies contained in this publication.

See Also

Welcome

Contact Us

Statistics


Contact Us

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

Contact Us

You can obtain technical support for any Ixia product by contacting Ixia Technical Support by any of the methods mentioned below.

Ixia sales office contact information is available on the Ixia website.

USA, Canada, and Latin America | Ixia Worldwide Headquarters 26601 W. Agoura Rd. Calabasas, CA 91302 USA | 877 367 4942 (toll-free inside USA) +1 818 871 1800 Option 1 (outside USA) support@ixiacom.com Hours: 0600 to 1800 PST
Europe, Middle East, and Africa (EMEA) | Ixia Technologies Europe Limited Part 2nd floor, Clarion House, Norreys Drive Maidenhead, SL6 4YB United Kingdom | +40 21 3015699 eurosupport@ixiacom.com online support form: Hours: 0700 to 1730 GMT
Asia Pacific | Asia Pacific Representative Office 210 Middle Road #08-01 IOI Plaza Singapore 188994 | +65 6332 0126 support-field-asia-pacific@ixiacom.com online support form: Hours: 0900 to 1730 local time
Japan | Ixia Communications K.K. Nishi-Shinjuku Mitsui Bldg. 11F 6-24-1 Nishi Shinjuku Shinjuku-ku, Tokyo 160-0023 Japan | +81 3 5326 1948 support@ixiacom.com online support form:
China | Ixia Technologies (Shanghai) Co. Ltd. Unit 3, 11th Floor Raffles City Beijing Office Tower No. 1 Dongzhimen South Avenue Dongcheng District, Beijing, 100007 P.R.C. | +86 10 5732 3900 online support form:
India | Ixia India No. 508, 6th Main 6th Cross ST Bed, Koramangala 4th Block Bangalore 560 034 India | +91 80 32918500 support-india@ixiacom.com online support form: Hours: 0900 to 1730 local time

For viewing the FAQs related to the product, go to Ixia Technical Support Online:

https://ebsoprod.ixiacom.com/OA_HTML/jtflogin.jsp


Statistics

StatViewer is an Ixia software component that is used by your application to display test statistics. Depending on your application, StatViewer appears either as a separate window or is embedded in the application.

StatViewer provides default views for each test within an application. As an option, you can select from a list of predefined views and associate them with a test. You can also create your own views for a test by indicating the statistics that are displayed.

In this section

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

TCL CSV Support for StatViewer Views

See Also

Welcome

Copyrights and Trademarks

Contact Us


StatViewer Operations

Listed below are some of the StatViewer's main functions:

Custom View Wizard. You can customize the view as per need with the help of this option. For more information, you can refer to Creating Custom Views.

Custom Graph. The custom graph is derived from another view and allows the user to display a detailed chart view of a specific statistic from a specific view. Custom Graph is a custom-created view that contains detailed charts based on one or more statistics, at the user’s convenience. Statistics can be added to a time or a non–time series Custom Graph. Refer to Adding a Custom Graph for more information.

Drill-Down Views. Any global aggregated view can be drilled down to get more in-depth information. Drilled-down views can be created both from chart and grid views. For more information, refer to Drill-Down Views.

Exporting Views. You can export a chart view and save it to your local drive. For more information, please refer to Exporting Chart View.

Generating CSV Files. You can generate a .csv file via StatViewer for specific views. You can make this request anytime while a test is running. You can enable or disable CSV generation individually for each StatViewer view. You can also add a .csv file dynamically while a test is running. CSV file generation can handle the statistics that are added or removed from the view while the test is running. You can equally specify the frequency of CSV logging on a per-view basis. For more information, please refer to Generating CSV Files.

Creating an Alert. You can use the StatViewer GUI Alert feature to define alerts based on statistics. This is helpful in distinguishing between normal and special statistics. For more information, please refer to GUI Alerts.

Generating Reports. Reporter is a common framework that is used by many Ixia software applications. The reporter framework does not own the data. Actually, it is the application that provides data to the reporter. The application also provides instructions to the reporter to generate different kinds of reports. The reporter framework has been integrated with StatViewer CSV. This Reporter enhancement allows it to import .csv files generated by StatViewer. For more information, please refer to Generating Reports.

Replaying Test Results. This function helps to load and replay previous test results as long as it is accessible from the disk. For more information, please refer to Replaying Test Results.

Replaying and Comparing Result Groups. You can replay/compare a test result from a test run. For more information, please refer to Replaying and Comparing Result Groups. However, to replay/compare a test result, you must enable Data Store. Data Store enables the ongoing test to save data on the disk for future replay or query. The test requires a folder in order to save data. This folder is the test result path. For more information, please refer to Data Store.

You can also compare multiple iterations. All information related to result sets/result groups are saved for each test to a separate file and they are not bound to the test results. When users try to replay/compare result sets/result groups, the corresponding information saved earlier is loaded and used to identify the timestamps that are loaded using the regular replay functionality. For more information, please refer to Comparing Multiple Iterations.

Using Event Viewer. An event is any significant occurrence in your application that requires a notification. Your application maintains a log for every event in the Event Viewer. The Event Viewer helps you identify and diagnose the problems, or predict potential problems. For more information, please refer to Using Event Viewer.

See Also

Overview

Managing Views

Types of Statistics

View Tree


Managing Views

Listed below are some of the functions you can use to display and manage statistics views in StatViewer.

View Sets. The statistic views are presented in sets that are either associated to each configuration section or user defined. It is basically a collection of groups and their views. A View Set can be selected from the Data tab in the ribbon. For more information, refer to View Sets.

View Tree. In StatViewer, a view is arranged in a hierarchical structure. A view is arranged within groups and can be reorganized according to your convenience. This layout makes it easy to navigate from one group to another. By default, the application creates a group of views. You can create and maintain new groups, subgroups, and views within them. This organization of view leads to a tree-like structure termed view tree. For more information, please refer to View Tree.

Displaying Views. StatViewer displays several views like chart views, grid views, traffic statistics views, and so on. Please refer to Displaying Views for the steps needed to display and manage a view.

Resizing Views. You can also resize the view layout either vertically or horizontally. For further information, please refer to Resizing Views.

Generic Paging. In some cases, after a test is run, a large number of statistics is generated. To view these statistics, StatViewer provides a generic page-browsing facility. You can use this facility to switch from one page to another. StatViewer also shows the total number of pages and you can specify how many statistics you want to view per page. When you switch from one page to another, StatViewer shows a progress bar to indicate that it is processing to display the next page. Note that page browsing is available only for filter grid views. For more information, please refer to Generic Paging.

Event Markers. Event markers allow your application to show StatViewer events for different time samples or values. Event markers can be enabled or disabled for a view. By default, the event marker is enabled. For more information, please refer to Event Markers.

Custom View Wizard. User can customize the view as per need. For details refer to Creating Custom Views section. <Statistics->Setup view wizard->Creating Custom Views>.

Overview Control. The overview control is placed at the bottom of an existing chart or grid. It is used to control the zoom interval and to scroll back and forth through the data. The sliding window on the overview component establishes what can be viewed in the detailed chart or grid. For more information, please refer to Overview Control.

GUI Persistence. StatViewer is customizable not only at global level, but also at per-view and per-statistic level. User and custom graphs can be created, different statistics can be added, charts can change colors, grid columns can change their size and position, alerts can be created, and so on.

However, all these customizations are lost when the application is closed. The GUI Persistence feature automatically saves all created views and settings either in the application configuration file or at user level in the Windows Registry. For more information, please refer to GUI Persistence.

Run View. The run view feature offers a quick and convenient way to navigate through available iterations. The StatViewer window displays a master iterations tree that is automatically populated with the iterations defined for the current test. This helps you navigate through the available iterations in the current real-time test. No additional integration or application effort is required. For more information, please refer to Run View.

Grouping Statistics. StatViewer now allows you to organize a long list of statistics into small units so that you can easily track and view a statistics group in the view. For more information, please refer to Grouping Stats in Non Time Series Grid Views.

Per Session Drill-Down Views. Per Session statistics have a separate view to display the lower-level information. Any global aggregated view can be drilled down for further details. For more information, please refer to Per Session Statistics.

QOE. You can view the statistics for a the IxLoad QoE/ test in the Statistics pane, once you create the configuration in IxLoad and run it. For more information, please refer to QoE/VideoSupport.

Network Diagnostics Views. The Network Diagnostics view is based on protocol-specific statistics and it is available only if the Enable Network Statistics checkbox is selected in the IxLoad Test Options window. Starting from these views, you can further drill down to the Per Session or Per Range levels or filter/sort the results. For more information, please refer to Network Diagnostics.

See Also

Overview

StatViewer Operations

Types of Statistics

View Tree


Types of Statistics

Given below is a list of statistics that display via the StatViewer window:

  • L2-3 Frame Size Distribution for Client Ports
  • L2-3 Frame Size Distribution for Server Ports
  • L2-3 Stats for Client Ports
  • L2-3 Stats for Server Ports
  • Port Statistics
  • SNMP Statistics
  • Protocol Specific Statistics

StatViewer displays these statistics through chart or grid views. Refer to Grid View and Grid View-Body-Right-Click Menu for more information.

StatViewer also supports functions used to generate the following views, based on the aforementioned statistics:

  • Per Session Statistics
  • Network Diagnostics

See Also

Overview

StatViewer Operations

Managing Views

View Tree


Overview

 Ixia StatViewer IxLoad 6.0Help

Previous Topic

Next Topic

Statistics Tools

In this section, there are two tabs that are introduced under Statistics Tools. They are discussed as given below:

Data - This shows certain options in the ribbon.

Design - This is for both the grid views and the graph views.

Note:In graph view Stat View Profiles and Custom Graph are not available.

In this section

Data

Design

StatViewer Operations

Managing Views

Types of Statistics

View Tree

See Also

Statistics

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport


Overview

 Ixia StatViewer IxLoad 6.0Help

Previous Topic

Next Topic

Data

When you click the Data tab, you can see a new ribbon. It has the following options:

  1. Custom Graph - This option helps you choose the Maximum Number of Stats per Custom Graph.

    Custom Graph has two options:

    1. Add to New- This is enabled if you select a statistics on a grid. It has further two options, Time Series Custom Graph and Non-Time Series Custom Graph.

    2. Add to Existing - This option is the same as the previous one. But in here you have an existing Custom Graph.

      The image below shows the Take Snapshot icon:

  2. Snap Shot has two options as follows:

    Take Snapshot - You can see the snapshot of the views. This has further three options, as given below:

    1. Current View - Takes snapshot of the current view.
    2. All Views - It takes a snapshot of all the views.

    3. Snapshot CSV Configuration - If you select this, it will open the Snapshot Configuration dialog box.

      The image below shows the Take Snapshot icon:

    3. More Actions - You can perform the following actions by selecting this option. You can select from the options given below:

    1. Save to Disc - This option is enabled only if you select the custom view. You can choose the path where you can save the selected custom view. You must choose the path in Custom View Wizard and select the Save in check box.
    2. Export Data - This option helps you to export data. This has the following options as given below:
    1. For grid views, it creates document that contains the current view column headers and data. The document can be an HTML file, an XML file, TEXT, and EXCEL.
    2. For graph views, it creates an image file with a snapshot of the graph. The images are saved as, BMP, WMF, EMF, GIF, JPEG, PNG, and TIFF.

    3. Export to Test Results – When you select this option, it creates a PNG image file with the image from the Export to Test Results dialog box (the current graph view). The file is automatically saved to (User Documents)\Ixia\IxLoad\(IxLoad Version)\(Config Name)\ds folder. Give the name as per your need.

    4. Print – It displays the options under the Print Preview. It can be a grid view or a graph view. You can print the pages, add watermark, set margins or header and footer, select page orientation, page size, and export the pages to different file formats (html, pdf, etc).

      The image below is showing the More Action icon:

  4. View Sets - The statistic views are presented in sets that are either associated to each configuration section or user defined. It has two views, IxLoad View and New View Set. It will have IxLoad as the default option.

    You can see the image below, that shows you when you select IxLoad View:

    The image below shows you that the Remove button gets enabled when you select any other view:

    You will have following options under View Sets:

    New - You can add a view set.

    Edit - You can edit the existing view set.

    Delete - You can delete any view set. This is applicable only for the other views and not IxLoad which is there by default.

    For more details on it, you can refer to View Sets.

  5. Views Layout - This command helps you to organize visible views in several regions. For details, you can refer to the Views Layout section. The image below is showing the View Layout icon:

  6. New View - This option has three buttons that can help you select the type of view you want. They are shown in the following image and are explained below that:

    1. Custom View Wizard - You can customize the view as per need with the help of this option.The image below is showing the Custom View Wizard icon:

    2. The Legacy Setup Views is an important tool for managing groups, views, and statistics. The image below is showing the Legacy Setup Views icon:

    3. Test Results Picker - This function helps to load and replay previous test results as long as it is accessible from the disk. This can be done even when the current test is running. The image below is showing the Test Results Picker icon:

  7. Data - You can select any one of the check boxes. This helps you to configure the type of data you want. The options are given below:

    1. Data Collection - This option helps you to update the statistics at group level.The image below is showing the Data Collection icon:
    2. CSV Logging - This option allows you to enable or disable CSV logging. The image below is showing the CSV Logging icon:
    3. Data Store - Data Store allows the ongoing test to save data on the disk for future replay or query. You can save data as per your needs. The image below is showing the Data Store icon:
    4. Autoscroll - You can go to back to the master iteration view by clicking the Switch to Real-Time mode button on the StatViewer tool bar or the Autoscroll button on the view tool bar. The image below is showing the Autoscroll icon:
    5. Autoupdate - This button helps you to automatically update the data. The image below is showing the Autoupdate icon:

    6. Data Collection - This option helps you to update the statistics at group level. The image below is showing the Data Collection icon:

  8. StatViewer Options -When you click on this button, the Statistics Options dialog box appears. The image below is showing the Stat Viewer Options icon:

  9. Stat View Profiles - This option helps you to manage application profiles. If you click on this button you get certain options that can help you customize your profile. The options are - Favorites, Add to Favorites, Rename Profile, Save Profile, Load Profile, and Delete Profile. The image below is showing the Stat Viewer Profile icon: This icon is available only in Grid View.

  10. Show Object Panel -When you click on this button,it makes visible or hides the panel that provides quick access to the objectives configured for the test. The image below is showing the Show Object Panel icon:

In this section

Statistics Tools

Design

Types of Statistics

View Tree

StatViewer Operations

Managing Views

See Also

Statistics

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport


Overview

 Ixia StatViewer IxLoad 6.0Help

Previous Topic

Next Topic

Design

When you click the Design tab, you can see a new ribbon. There are two options. They are as follows:

  1. Grid View - If you want data to be displayed as a grid, you can choose this option.
  2. Chart View - If you want data to be displayed in a graphical form, you can select this option.

Grid View

The sections are explained below:

  1. Columns and Footers - You can customize your columns and footers. There are three icons and the details are explained as follows:

  1. Customize Tabs - It helps you to customize tabs. The image below shows the Customize Tab icon:
  2. Column Width - You can adjust the width of the column. You can select Best Fit, Fit to Screen, Fit to Columns, and Fit to Values.The image below shows the Column Width icon:

  3. Show/Hide All Footers - You can show or hide footer details by clicking on this icon. You get two options, Show All Footers and Hide All Footers. The image below shows the Show/Hide All Footers icon:

  2. Grid Appearance - You can select the appearance of the grid by clicking on this option. The check boxes are explained below:
  1. Group Panel - If you select this check box, you can drag the column header that can group by that column. The image below shows the Group Panel icon:

  2. Indicator - If you enable this check box, you can have an indicator column just below the column header. The image below shows the Indicator icon:

  3. Footer - If you enable this, It adds a footer. The image below shows the Footer icon:

  4. Filter Row - If you enable this, it adds a filter row, just below the group panel. The image below shows the Filter Row icon:

  5. Horizontal Line - If you enable this, a horizontal line gets added. The image below shows the Horizontal Line icon:

  6. Vertical Line - If you enable this, a vertical line gets added. The image below shows the Vertical Line icon:

  3. Presentation - This tab helps you to have your own presentation settings. The image below shows the Presentation Settings icon:

    .

    It has three options. They are as follows:
  1. Restore Default Settings – If you click on this option, it restores default GUI settings.
  2. Save to User Default - If you select this option, GUI settings get stored in user default settings.
  3. Save to Configurations - If you select this option, GUI settings get saved in the current configuration. For details refer to Saving Settings option.

Chart View

The icons are explained below:

  1. Show As - This options helps you to configure your current chart. You can Switch to Grid view by clicking on this option.

  2. Chart Palette - This option helps you to change the color of the selected chart. The image below shows the Chart Palette icon:

    You can change the palette (colors) that a view displays by using the Palette Selector button on the tool bar. To change the palette:

    a. Click the Palette Selector button on the tool bar

    b. Select a new palette.

    Apply All - After selecting a chart palette, you have the option to apply it to all the views. The newly created views will also have this selected chart palette.The image below shows the Apply All icon:

  3. Analyze - It helps you to analyze the graphical view. It has two options as below:
  1. Switch to 2D/Rotate - If you click this icon, it switches the current chart to two-dimensional view as shown in the below image:

    If a chart displays in 3D, you can enable the chart to rotate on its axes to get a better view of the data.To allow a chart to rotate, click the Rotated View button on the tool bar.
    You can also rotate the chart view around X axis, around Y axis, and you can also Reset Rotation.

    If a chart displays in 3D and you click the Rotated View button on the tool bar, you can rotate the chart on its x- (vertical)or y- (horizontal) axis to get a better view of the data. To rotate a chart:

    Click the Rotate Around X Axis or Rotate Around Y Axis button. Each time you click one of these buttons, StatViewer rotates the chart approximately 15 degrees. Enter the SHIFT key to change the direction of rotation.

  2. Zoom - You can enlarge your chart view when you click on this following icon:

    You can zoom in on a specific area of the graph to see the data in more detail. To zoom in:

    Click the Zoom button on the tool bar.
    Click and drag to select the area of the graph that you want to zoom in on.
    To zoom in closer, select an area of the graph again. Continue zooming in until the graph shows the amount of detail that you want.
    To zoom out of the original view of the graph, click the Zoom button again.
  4. Properties - This tab also has two options as explained below:
  1. XY Delta - It will make difference between two selected area margins. It will display time difference and value difference. The image below shows the XY Delta icon:

    The X-Y Delta tool displays the difference between two points on the x-axis and two points on the y-axis. To display the x-y delta:
    Click the X-Y Delta button on the tool bar.
    Click the graph to establish the first point to measure.
    Click the graph again to establish the second point to measure. StatViewer displays the delta (difference) between the two points on the x- and y-axis.
    To dismiss the x-y delta, click the X-Y Delta button again.

  2. Iteration Markers - The Iteration Markers tool is used to display the lines that mark the beginning and end of a result that is set in a real-time overlay chart. This icon is enabled by default to show the markers. The image below shows Iteration Markers icon:

    To enable the show/hide iteration markers tool:
    Click the Show/Hide Iterations Markers button on the tool bar.
    The iteration markers display in the view along with the statistics.
    Refer to Overview Control for more information on iteration markers.

  3. Interpolation - You can display a limited number of values in a view. When you zoom a statistic, a calculation is required for each zoom interval, so that the total number of values is the same. The Interpolation function defines an algorithm that is used for this calculation. For each interval, a maximum, minimum, or average value can be chosen for the computation. The image below shows the Interpolation icon:

    To enable the interpolation function:
    First run a test for more than five minutes.
    Enable the zoom function by clicking the Zoom button on the tool bar.
    Click the Interpolation button on the tool bar. Three options are available: Average, Max, and Min.
    Click one of the options from the drop-down menu.

In this section

Statistics Tools

Data

Types of Statistics

View Tree

StatViewer Operations

Managing Views

See Also

Statistics

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport


View Tree

This section describes the view tree layout in StatViewer.

In StatViewer, a view is arranged in a hierarchical structure. A view is arranged within groups and can be reorganized according to your convenience. This arrangement makes it easy to navigate from one group to another. By default, the application creates a group of views. You can create and maintain new groups, subgroups, and views within them. This organization of the views leads to a tree-like structure termed view tree. The following figure shows a typical view tree structure.

In this section

Group

View

Reference View

View Tree Functions

See Also

Overview

StatViewer Operations

Managing Views

Types of Statistics


Group

The root node of the tree is Views. Views is the main group in the node. It has one default group named Defaults under it. The Groups and Views under Default are provided by your application and can be partially modified. You can edit the Properties and choose to display some or all the statistics from the Custom View Wizard dialog. You cannot modify their structure, rename them, delete them, or add other views to this default group.

The application-generated statistics in the Defaults group node include:

  • L2-3 Frame Size Distribution for Client Ports
  • L2-3 Frame Size Distribution for Server Ports
  • L2-3 Stats for Client Ports
  • L2-3 Stats for Server Ports
  • Port CPU Statistics
  • Protocol-specific Statistics

The custom or user-defined groups and views are created directly under the root group - Views. You can create and edit groups and views under this node. If you copy a default view to a custom-created group, you cannot rename the view.

Each group level displays the total number of views under it. You have to expand the view tree to display all the groups and views under it. You can select the relevant views by clicking the checkbox next to it. The checkbox appears only when you select the immediate group heading of the view that you want to display. You can select a maximum of 30 different views to display.

See Also

View Tree

View Sets

View

Reference View

View Tree Functions


View

A view is the last child node in an expanded view tree. It is not broken down any further. An exception is when the view tree is shown in the right-side pane of the Setup Views dialog. In this case, all the views are shown as a node to the tree, and statistics to the views are shown as sub-elements for the views. Please refer to Custom View Wizard for more information. A view can be displayed in any group. A specific view can also be part of more than one group.

Reference View

A single view can be copied to more than one group. These views point to the same parent view and are known as reference views. Any change made to one view affects all the views with the same name.

See Also

View Tree

Group

Reference View

View Tree Functions


View Tree Functions

You can click a group or a view to display the item in the display window. You can select a maximum of four views. Click a view to display it. You can select a maximum of 30 different views at a time which will be displayed in a tab. The view tree automatically updates its nodes when changes occur in the data model (when new views are available). The selected rows are highlighted in blue for better understanding.

You can also right-click the group or view for separate functions.

In this section

Menu Options for a Group

Menu Options for a View

See Also

View Tree

Group

View

Reference View


Menu Options for a Group

A group consists of collection of views. Each view has a check box, and the states of the check box are as follows:

• Unchecked: None of the views are selected.

• Checked: All views are selected.

• Third state: Only some of the views are selected.

When selecting a group checkbox all views from that group will be selected and displayed in the Stat Viewer region. When the checkbox is clear all views from the group will be hidden.

Note: When the maximum number of visible views (checked view nodes) is reached, a warning label will be displayed on the top of the view tree

When you right-click an existing group, a context menu opens.

The options of the context menu are described in the following table.

Option Description

Delete

Click this option to delete the selected view or group.

If the node has descendants, a warning message displays.

Click Yes/No to continue.

Add Custom Graph

Click this option to add a custom graph under the group node. You can add a time series or a non time series custom graph. Time series and non time series graphing options are available at view and new group level.

Please refer to Adding a Custom Graph for more information.

Add Group

Click this option to add a new view group under the currently selected group.

Enable Data Collection

Click this option to enable or disable statistics updates at group level. If enabled, the views under the group node start collecting data, and if disabled, the views under the group node stop collecting data.

At group level, all the views under the group node are enabled or disabled.

NOTE: Whenever data collection is enabled/re-enabled, the rate type statistics start from 0.

Enable CSV Logging

Click this option to enable or disable CSV logging.

Please refer to Generating CSV Files for more information.

Enable Data Store

Click this option to enable or disable data storage.

Please refer to Data Store for more information.

All Group Views Presentation Settings

Click the group for which you want to save the Presentation settings. A context menu opens.

2. Click All Group Views Presentation Settings;

3. Click Save Settings To;

4. Click any of the Save Settings To options. For a detailed description of these options, refer to Saving Presentation Settings at View Level.

User Default: In your application, this is implemented as User. Click this option to save the Presentation settings in the User location.

n Test Configuration: Click this option to save the Presentation settings in the CONFIG file.

The Reset To Factory Default option sets the default option for the group.

Expand All

Click this option to expand all the nodes under a group.

Collapse All

Click this option to collapse all the nodes under a group.

See Also

View Tree Functions

Menu Options for a View


Menu Options for a View

When you right-click an existing view, a context menu opens.

The options of the context menu are described in the following table.

Option | Description

Copy Properties

Click this option to copy the selected group to clipboard. When pasting is complete, two copies of the same group become available.

The keyboard shortcut is CTRL+C.

Paste Properties

Click this option to apply or paste the view properties from the last view copied to clipboard.

Delete

Click this option to delete a view from the tree.
Edit | Is available only for custom views, and is the same operation as the Edit Custom View (from Ribbon)
Save to Disc | The view can be saved as XML file and the can be imported

Export Data

Click this option to save data shown in a view.

Please refer to Exporting Chart View for more information.
Export to Test Results | The Export to Test Results command enables you to add an image of the graph of a statistic to a test report.

Print Data Preview

Click this option to open the Print Preview window, which shows the format for a printed version of the StatViewer view. The StatViewer view information can then be printed directly from the Print Preview window.

For the time series views, the print preview can contain multiple pages, with each page displaying a part of the view results.

Enable Data Collection

Click this option to enable or disable data collection for a view.

If enabled, statistics data is collected and values are incremented in the StatViewer window.

NOTE: Whenever data collection is enabled/re-enabled, the rate type statistics start from 0.

Enable CSV Logging

Click this option to enable or disable CSV logging for this view.

Please refer to Generating CSV Files for more information.

Enable Data Store

Click this option to enable or disable data storage for this view.

Please refer to Data Store for more information.

Presentation Settings

User Default: In your application, this is implemented as User. Click this option to save the Presentation settings in the User location.

n Test Configuration: Click this option to save the Presentation settings in the CONFIG file.

The Reset To Factory Default option sets the default option for the view.

Properties

Click this option to open the view properties dialog.

Please refer to View Properties for more information.

See Also

View Tree Functions

Menu Options for a Group


Displaying Views

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

View Sets

The statistic views are presented in sets that are either associated to each configuration section or user defined. It is basically a collection of groups and their views. A View Set can be selected from the Data tab in the ribbon.

To select a view, click the name of the view in the ribbon.

To create a view set click the [image] New button.

To edit a view set you must click the [image] Edit button.

For creating or modifying any view sets, the View Set dialog box appears as shown below:

The functionalities of the View Set screen are as follows:

Button | Description
Create New View Set | By clicking this option, user can create a new view set.
Show | Displays the selected view set in the drop down list labeled as Show.
 | By selecting this option, user can rename the selected view set.
Custom View Wizard | User can customize the view as per need. For details refer to Creating Custom Views section. <Statistics->Setup view wizard->Creating Custom Views>
Test Picker Result | The test result picker dialog is the central place for loading test results and can be used to replay views and to replay/compare individual results from a test run. For details refer to Test Results Selection section. <Statistics->Data History->Test Results Selection>
 | By selecting this option, user can save the view set to the disk.
 | By selecting this option, user can load the view set from the disk.
 | By selecting this option, user can reset to the default view set. Note: This is not available for custom view sets.
 | By selecting this option, user can delete the current view set. Note: Only the custom view sets can be deleted.

See Also

Group

View Tree

View

Reference View

View Tree Functions


Resizing Views

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

Views Layout

This tab has six layouts for your views. You can select any one of the options as per your needs. They are explained below along with their images:

  • Single Horizontal View - In this view you can have a single row for the selected view. The following figure shows an example of a horizontal view layout. The image below explains the view:

  • Vertical Views Layout - In the Vertical Views layout, you can group the views in two columns, each containing up to two views. Within each column, you can resize the contained views. You can even resize each column. The following figure shows an example of a vertical view. The image below explains the view:

  • Horizontal View with two rows - In this Horizontal View, you can group two views in two rows. This method is more helpful in organizing two displayed views. Within each row, you can resize the contained views. You can even resize each row. The following figure shows an example of a horizontal view layout. The image below explains the view:

  • Vertical View with three columns - In this Vertical View, you can group the views in three columns, each containing up to three views. Within each column, you can resize the contained views. You can even resize each column. The following figure shows an example of a vertical view. The image below explains the view:

  • Horizontal View with three rows - In this Horizontal View, you can group the views in three rows, each containing up to three views. Within each row, you can resize the contained views. You can even resize each row. The following figure shows an example of a horizontal view. The image below explains the view:

  • Grid View - In this layout, you can group four views in two rows, each containing up to two views. Within each row, you can resize the contained views. You can even resize each row. The following figure shows an example of a horizontal view. The image below explains the view:

In this section

See Also

Viewing Statistics

Displaying Views


Managing View Appearance

The view appearance settings are common for chart and grid views.

To change the default view appearance:

  1. Right-click in a column in Grid view.
  2. The View Appearance Settings menu opens as a context menu. It has the following options:
  • Show/Hide Overview. Click this option to close the view from the view display area.
  • Display view as. You do not need to select any sub-option. By default, only one option, Chart or Grid, is selected, depending on the view type.
  • Hide view. Click this option to close the view from the view display area.

Note: Depending on the view properties, some options from the context menu may be disabled.

  • Show . Click this option to show the grip appearance details for this window. Please refer to Grid Appearance for more information.
  • Undock/Dock Click this option to display the result in a different window. Once undocked, it is possible to dock the panel so it appears back in the main window again.
  • Define/Edit/Remove Alert. Click this option to define or edit or remove alert.
  • Add Custom Graph For details refer to Adding a Custom Graph details.

See Also

Displaying Views

Selecting Statistics to Display

Global Settings for Chart and Grid View

Grid View

Chart View


Grid View

There are two types of grid views: time series and non-time series. A non-time series view shows only a snapshot of the latest values. A time series view shows the history for each statistical value. The figure below shows an example of a time series grid view. A time series grid view has the automatic scrolling feature. Whenever a new column is added to the grid, the application automatically scrolls to the new column.

From the grid view, you can add the selected statistics in a custom graph. This custom graph displays as a chart view. Refer to Chart View for more information.

In this section

Grouping Stats in Non Time Series Grid Views

Defining Grid View Controls

Grid View Right-Click Menu

Creating Group Panel

Creating StatViewer Window Footer

Grid View-Body-Right-Click Menu

See Also

Displaying Views

Selecting Statistics to Display

Managing View Appearance

Global Settings for Chart and Grid View

Chart View


Grouping Stats in Non Time Series Grid Views

In each non time series grid view, existing statistics can be grouped into different tabs. As such, each statistics group is represented by a tab in the lower portion of the view display area (conventionally referred to as the Stat Groups tab control).

Statistics groups can be:

  • application-created

Note: Application-defined stat groups cannot be deleted or renamed. The statistics in these groups cannot be modified or deleted and no new statistics can be added to them.

  • user-created

In this section

Stat Groups Tab Control

Adding a New Stat Group

Reset to Factory Default

Stat Groups Context Menu

Renaming a Stat Group

Presentation Settings

Saving Stat Groups Using GUI Persistence

See Also

Grid View

Defining Grid View Controls

Grid View Right-Click Menu

Creating Group Panel

Creating StatViewer Window Footer

Grid View-Body-Right-Click Menu


Stat Groups Tab Control

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Stat Groups Tab Control

By default, an All tab is provided on the Stat Groups tab control, including all the statistics in the respective grid view.

Applications can define a set of statistics columns as fixed, that is, the respective columns appear in the same order in all stat groups. However, you can change the fixed columns by clicking them and choosing one of the Fixed Column menu options. Please refer to the Grid View Right-Click Menu for a description of the Fixed Column menu options. Any property applied to a fixed statistic (such as sorting, show/hide, and so on) takes effect across all stat groups.

Fixed statistics columns have a different background color that distinguishes them from unfixed ones.

The controls on the grid view tool bar are shared by all stat groups. As a result, any change of an alert or of the look and feel is mirrored across all stat groups and their corresponding tab pages. The stat groups also share an Overview pane control (For details on the overview control, refer to Overview Control). Thus, changing the timeline takes effect across all defined stat groups.

Any grid view-specific property (such as sorting, show/hide, and so on) takes effect only in the current stat group tab and does not affect the other defined stat groups.

See Also

Grouping Stats in Non Time Series Grid Views

Adding a New Stat Group

Reset to Factory Default

Stat Groups Context Menu

Renaming a Stat Group

Presentation Settings

Saving Stat Groups Using GUI Persistence


Adding a New Stat Group

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Adding a New Stat Group

To add a new statistics group, choose one of the following:

  • Click the +sign in right pane on the Grid view option. The Stat Group Selector window opens.
  • Click the New [image] button on the Stat Groups tab control.
    New stat group will be created. You will notice Customize Tab under Design tab gets enable now.

Alternatively, to add a new Stat Group,

  • Click the Customize Tab on the Design ribbon on the grid view tool bar.

It displays the existing groups and the corresponding statistics in each group. Here you can choose the statistics to include in the new groups that you want to create.

To create a new statistics group:

  1. Type a name for the group in the Stat Group Name field. The default group name is New User Group 1.
  2. In the left-hand tree, select the statistics to include in the group.
  3. Click the [image] button to add the statistics in the right-hand tree under the statistics group heading. To remove the statistics from the group and restore them in the left-hand tree, click the [image] button.

    Note: If you select an existing statistics group, all the statistics in that group are added to the new group. A statistic can appear only once in a group.

  4. Click OK. The created group is added on the stat groups tab control.

The right click on-Stat Group Selector window makes available a context menu including the following options:

  • Cut (shortcut Ctrl+X) - Cuts a statistic selected to be added to a new stat group.
  • Copy (shortcut Ctrl+C) - Copies a statistic selected to be added to a new stat group.
  • Paste (shortcut Ctrl+V) - Pastes the copied/cut statistic at the end of the group/after the selected stat.
  • Delete - Deletes a selected statistic.

When several statistics groups are defined and there are too many tabs on the stat group tool bar, you can navigate the statistics groups by using the [image] buttons.

See Also

Grouping Stats in Non Time Series Grid Views

Stat Groups Tab Control

Reset to Factory Default

Stat Groups Context Menu

Renaming a Stat Group

Presentation Settings

Saving Stat Groups Using GUI Persistence


Stat Groups Context Menu

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Stat Groups Context Menu

When right-clicking a stat group tab page header, a context menu opens, including the following options:

  • Rename - Allows you to rename the stat group.
  • Add - Allows you to add a new stat group (The Stat Group Selector window opens)
  • Remove - Allows you to delete a stat group.

    Note: The Rename and Remove context menu options are disabled for application-created statistics groups and for the default All statistics group.

See Also

Grouping Stats in Non Time Series Grid Views

Stat Groups Tab Control

Adding a New Stat Group

Reset to Factory Default

Renaming a Stat Group

Presentation Settings

Saving Stat Groups Using GUI Persistence


Renaming a Stat Group

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Renaming a Stat Group

Only user-generated statistics groups can be renamed. The tab name corresponding to the statistics group can be edited inline.

To rename a statistics group:

  • Select the Rename option in the respective stat group context menu.

or

  • Double-click the stat group tab name.

Edit the stat group name according to your preferences.

Note: A stat group name must be unique in a view.

See Also

Grouping Stats in Non Time Series Grid Views

Stat Groups Tab Control

Adding a New Stat Group

Reset to Factory Default

Stat Groups Context Menu

Presentation Settings

Saving Stat Groups Using GUI Persistence


Presentation Settings

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Presentation Settings

Only the Show/Hide column (for unfixed columns) and Column ordering (for unfixed columns) settings are changed at tab level (that is, any changes performed in a stat group tab affect that tab alone). All other Presentation settings are changed at view level (that is, any changes performed in a stat group tab affect the other tabs as well).

See Also

Grouping Stats in Non Time Series Grid Views

Stat Groups Tab Control

Adding a New Stat Group

Reset to Factory Default

Stat Groups Context Menu

Renaming a Stat Group

Saving Stat Groups Using GUI Persistence


Saving Stat Groups Using GUI Persistence

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Saving Stat Groups Using GUI Persistence

The user-defined stat groups are saved together with the GUI Persistence information either on the user machine or in the application configuration file, depending on the user's preferences. Thus, the following user-defined stat group items are saved:

  • the stat group name
  • the column caption
  • the columns' index
  • the hidden columns

See Also

Grouping Stats in Non Time Series Grid Views

Stat Groups Tab Control

Adding a New Stat Group

Reset to Factory Default

Stat Groups Context Menu

Renaming a Stat Group

Presentation Settings


Grid View Right-Click Menu

The grid view right-click menu has a number of important functions.

To access the grid view right-click menu:

  1. Right click on the header of the grid view contains the Stat name.
  2. A context menu opens.

The menu options are described in the table below.

Option

Description

Sorting

Click this option to arrange the statistics in ascending or descending order.

Click Clear Sorting to clear the order.

Group By This Column

Click this option to group the statistics according to that column.

Click Full Collapse to collapse the statistics and just show the column name in the Group Panel Area. The group panel area is just above the column headings and displays only if the Group By This Column option is selected.

Right-click the group panel area to clear the collapse option by clicking Full Expand.

Click Clear Grouping to clear the grouping altogether.

Column Width

Click this option to select the following sub-options:

  • Best Fit

This option expands the columns to accommodate the full width of the column title.

  • Fit to Screen

This option auto-calculates the width of all the columns and displays them without a horizontal scroll bar.

  • Fit to Columns

This option calculates the width of the columns based on their caption.

  • Fit to Values

This option calculates the width of the columns based on the values in the cells.

Show

  • Group Panel

Click this option to display an additional row below the tool bar, with the message:

“Drag a column header here to group by that column”

Click the Show Group Panel button again to close the extra row.

Click the Clear Grouping button to clear the grouping.

Refer to Creating Group Panel for more information.

  • Indicator

This option adds an extra column at the far left end of the StatViewer view table. An indicator arrow appears in this column when a row is selected/highlighted.

  • Footer

Click this option to display a footer at the bottom of the StatViewer view-table. This footer can display calculated information for the column above. Refer to Creating StatViewer Window Footer for more information.

  • Show Filter Row

Click this button to display an extra row on top of the existing rows in a grid view. You can either type the filter condition in this row, or choose some predefined filters to the existing rows in the grid. Once the filter condition is set, the rows that match the filter display.

  • Horizontal Lines

Click this option to add horizontal lines to the StatViewer view table.

  • Vertical Lines

Click this option to add vertical lines to the StatViewer view table.

Hide Column

Click this option to hide a column from the grid view. This column name displays in a pop-up dialog. You can drag it back to the view at any point of time.

Column Chooser

Click this option to display the pop-up dialog that lists the column names that have been hidden. Drag the column and put it back to the view.

Fixed Column

Click this option to fix the extreme right or left column.

Click Not Fixed to remove the left or right fix option.

Add Column to Stat Group

Adds a statistic to a user-defined stat group. The following sub-options are available:

  • New Stat Group - Adds a statistic to a new statistics group.
  • New User Group 1 - Adds a statisto an existing statistics group, named New User Group 1.

Remove Column from Stat Group

Deletes a statistic from a statistics group.

NOTE: This options is not available for application-defined statistics groups.

See Also

Grid View

Grouping Stats in Non Time Series Grid Views

Defining Grid View Controls

Creating Group Panel

Creating StatViewer Window Footer

Grid View-Body-Right-Click Menu


Creating Group Panel

The Group Panel feature is used to group a grid view statistics by the selected column header.

To access it:

  1. On the grid view column header, right-click any column. A context menu opens.
  2. Click the Group by This Column option.

To close the Group Panel and return to normal display mode, click the Clear Grouping option.

See Also

Grid View

Grouping Stats in Non Time Series Grid Views

Defining Grid View Controls

Grid View Right-Click Menu

Creating StatViewer Window Footer

Grid View-Body-Right-Click Menu


Creating StatViewer Window Footer

The Show Footer feature is used to apply a specific function to the columns in the filter grid. The available function for string statistics is Count. The available statistics for number statistics are Sum, Min, Max, Count, and Average. The result of the applied function is indicated below that column. This footer displays calculated information for the column above it.

To access the Show Footer feature:

  1. On the grid view column header, right-click any column. A context menu opens.
  2. Click the Show->Footer option.
  3. Right-click the footer. Please note that the footer has several options for columns with time variance. For other columns, there is only one function, Count.
  4. Select the relevant function. The result of the applied function is then indicated below that column.

The None option clears the function that was previously applied to the selected column.

See Also

Grid View

Grouping Stats in Non Time Series Grid Views

Defining Grid View Controls

Grid View Right-Click Menu

Creating Group Panel

Grid View-Body-Right-Click Menu


Grid View-Body-Right-Click Menu

This is another right-click menu with important functions.

To access it:

  1. In the grid view, right-click anywhere the empty area below the rows. You can also right-click just below the column heading on the rows.
  2. A context menu opens. It includes the following options:
  • Show/Hide Overview. Click this option to display the Overview pane above the grid view or to hide it.
  • Display view as Chart. By default, only one option, Chart or Grid is selected, depending on the view type.
  • Hide view. Click this option to close the view from the view display area.
  • Show. Click this option to show various options such as Group Panel, Indicator, Footer etc. For details refer to Show option under Grid View Right-Click Menu.
  • Undock. Click this option to undock the window.
  • Define Alert. Click this option to open a window where you can define a new alert condition. For more details refer to GUI Alerts.
  • Edit Alert. Click this option to open a window where you can edit an existing alert condition.
  • Remove Alert. Click this option to remove the existing alert from the associated statistics.
  • Add to Custom Graph. Adds the selected alert condition to a custom graph.

    Note: Depending on the view properties, some right-click menu options may be disabled.

See Also

Grid View

Grouping Stats in Non Time Series Grid Views

Defining Grid View Controls

Grid View Right-Click Menu

Creating Group Panel

Creating StatViewer Window Footer


Chart View

The chart view displays statistics in a chart format. Some charts display without an associated timestamp. For example, the pie and bar charts and the filter grid display a snapshot of the latest values. These view types are called the non-time series view. There is also a time series chart view. The figure below shows the two chart view types.

Note: Each chart view can include a maximum number of 32 statistics. Consequently, when you need to have more than 32 statistics displayed, make sure to switch to the grid view in order to view all the statistics.

Autoscrolling

In the chart view, you can access the autoscroll feature by clicking the AutoScroll button.

Exporting Chart View
You can export a chart view and save it to your local drive.

To export a chart view:
Right-click the selected statistic name for which you want to export a chart view image.
Click the Export Data option in the menu. You are prompted to save it via the Save As dialog box. By default, you can save the image as a .bmp file.

In this section

Defining Chart View Controls

Chart View Right-Click Menu

Displaying Specific Statistics in a View

Displaying Statistical Values

Using the Sliders

See Also

Displaying Views

Selecting Statistics to Display

Managing View Appearance

Global Settings for Chart and Grid View

Grid View


Chart View Right-Click Menu

To access the right-click menu:

  1. In the chart view window, right-click the chart view.
  2. The menu might be populated with more or less options, depending on the type of object that is activated. Some of the options may be disabled depending on the view type.

In this section

Right-Click Menu in Chart Background

See Also

Chart View

Defining Chart View Controls

Displaying Specific Statistics in a View

Displaying Statistical Values

Using the Sliders


Right-Click Menu in Chart Background

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Right-Click Menu in Chart Background

The menu has the following options:

  • Enable 3D / 2D. You can display a view either as a two-dimensional (2D) or a three-dimensional (3D) graph. To switch the view between 2D and 3D:
    Click the 2D/3D option.
  • Show/Hide Overview.
  • Display view as Grid. By default, only one option, Chart or Grid is selected, depending on the view type.
  • Hide view. Click this option to close the view from the view display area.
  • Data Grid. You can enable or disable the display of the grid view-the view of the data that displays below the chart. To enable/display the grid view:
    Click the Data Grid option.
  • Anti-Aliasing. You can enable or disable anti-aliasing in the chart types by using the Anti-Aliasing option. Anti-aliasing can improve the appearance of the lines in the graphs, but it may cause the graphs to take longer to render.
  • Legend box. You can enable or disable the display of the graph legend, which shows the statistics indicated by each color on the graph. Displaying the legend is useful when the grid does not display, so that you can tell which color belongs to which statistic. To enable/display the graph legend:
    Click the Legend Box option.
  • Gallery. You can display data in several different types of views. To change the view type:
    Click the Gallery option and select the new view type.
    Six options are available, depending on view type (For some views, some of the options are dimmed):
    Line
    Curve
    Line area
    Curve area
    Pie
    Bar
    For details refer to Changing the View Type from Gallery.
  • Point Labels. You can enable or disable the display of the labels that identify each data point in the StatViewer charts. To enable/display point labels:
    Click the Point Labels option.

In this section

3D / 2D

Anti-Aliasing

Display Data Editor

Display Legend

Changing the View Type from Gallery

Point Labels

Configuring Axes

See Also

Chart View Right-Click Menu


Changing the View Type from Gallery

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

Changing the View Type from Gallery

You can display data in several different types of views.

To change the view type:

  1. Click the Gallery option and select the new view type.
  2. Six options are available, depending on view type (For some views, some of the options are dimmed):
  • Line
  • Curve
  • Line area
  • Curve area
  • Pie
  • Bar

See Also

Right-Click Menu in Chart Background

3D / 2D

Anti-Aliasing

Display Data Editor

Display Legend

Point Labels

Configuring Axes


Displaying Specific Statistics in a View

In most cases, a view displays multiple statistics. Often, statistical traces on graphs display on top of each other, making it difficult to view some statistical traces.

To avoid having statistical traces display on top of each other:

  1. Select individual statistics.
  2. StatViewer hides all other statistical traces in the view and displays the trace for the statistics that you selected.

You can also select a specific statistic to display in the graph.

To select specific statistics to display in the graph:

  1. Select the statistic in the grid below the graph.

StatViewer displays the statistic that you selected, plus the statistics immediately before and after it.

See Also

Chart View

Defining Chart View Controls

Chart View Right-Click Menu

Displaying Statistical Values

Using the Sliders


Displaying Statistical Values

When you move the cursor over any point of charted data in a view, StatViewer highlights the line, bar, area, or slice (pie) beneath the cursor and displays a caption that identifies the source of the statistic and a numerical value.

If the point on the trace lies between two statistical values, the caption indicates the values on both sides of it, along with their values. In the grid, it highlights the statistic that is nearest to the cursor on the trace.

See Also

Chart View

Defining Chart View Controls

Chart View Right-Click Menu

Displaying Specific Statistics in a View

Using the Sliders


Using the Sliders

In all StatViewer view types, except for the pie and bar views, you can use the slider at the bottom of the graph to display data throughout the test. As you move the graph slider through the data, the grid data changes to display the data that applies to the selected point in the graph.

See Also

Chart View

Defining Chart View Controls

Chart View Right-Click Menu

Displaying Specific Statistics in a View

Displaying Statistical Values


GUI Alerts

Because it is sometimes difficult to monitor statistics, a means of distinguishing between normal and special statistics is needed. StatViewer provides this capability through defined GUI alerts.

You can use the StatViewer GUI Alert feature to define alerts based on statistics. StatViewer provides an API that allows client applications to save and restore StatViewer configurations.

An alert contains:

  • Properties
  • Conditions that trigger the alert
  • Actions to occur when the conditions are fulfilled

The GUI Alert feature in StatViewer has two parts. One is defining the alert condition and the second is defining an action when that condition is fulfilled.

In this section

Alert Conditions

Creating an Alert from a Grid or a Chart View

Creating an Alert from Setup Views

Alerts Limitations

See Also

View Functions and Features

Viewing Statistics

Generic Paging

Event Markers

GUI Persistence


Creating an Alert from a Grid or a Chart View

This is a simple way to create an alert condition.

To create a GUI alert condition:

  1. In the grid view, select the statistic for which you want to create an alert. You can select a particular cell, row, or column within the grid.

  2. Right-click a cell in the grid view or in a row in the data editor in the chart view. The menu that opens includes the following options:
    • Define Alert: Opens a window to define a new alert condition.
    • Edit Alert: Opens a window to edit an existing alert condition.
    • Remove Alert: Removes the existing alert from the associated statistics.
    • Add to Custom Graph: Adds the selected alert condition to a custom graph.
  3. Choose Define Alert. A dialog box opens, where you can specify the following conditions and actions that characterize the alert:

    Note: You can create an alert on a selection in a grid or a chart only after the test starts. However, you can create an alert at any time from Setup Views (refer to Creating an Alert from Setup Views).

    • Name. Enter the name of the alert condition.
    • Active. Click this checkbox to execute the defined alert condition. The alert condition can be executed only when this checkbox is selected.

Once you choose a condition, you need to define several parameters associated with the condition.

For example, when choosing the In Range condition, enter the minimum and maximum values that pertain to sent HTTP requests.

If the condition is created after an existing condition, you need to choose an operand between the two conditions. If there is more than one condition, then Combine with previous condition using is enabled. Choose OR or AND.

In this section

Define Alert Actions

Removing Alerts Associated with the Grid or Chart View

See Also

GUI Alerts

Alert Conditions

Creating an Alert from Setup Views

Alerts Limitations


Define Alert Actions

A series of actions is executed when the conditions for an alert are met. These actions are grouped into two categories: graphical and non-graphical.

In the figure below, the Chart and Grid panes are used to describe the graphical alert action. The Misc pane is used for the non-graphical alert action.

Graphical Alert

To define a graphical alert action:

Select the Change Line checkbox.

  • In the Chart pane, the Color field changes the graph line color.
  • In the Chart pane, the Width field changes the graph line width.
  • In the Grid pane, the Background Color field changes the background color

Non-graphical Alert

To define a non-graphical alert action:

Select the Start CSV logging checkbox. If the checkbox is deselected, it stops the CSV logging. If the CSV logging is enabled at view or group level, deselecting the checkbox from this window cannot override that selection.

In this section

Graphical Alert

Nongraphical Alert

See Also

Creating an Alert from a Grid or a Chart View

Removing Alerts Associated with the Grid or Chart View


Removing Alerts Associated with the Grid or Chart View

To remove an existing GUI alert from a grid or a chart view:

  1. Right-click a cell of the grid view or a row in the data editor of the chart view;
  2. Click the Remove Alerts menu option. The existing alert condition is removed from the associated statistics.

See Also

Creating an Alert from a Grid or a Chart View

Define Alert Actions


Creating an Alert from Setup Views

Creating a GUI alert from the setup view allows you to set powerful alert conditions.

To define a GUI alert in the Setup Views window:

  1. Click the Legacy Setup view option in the ribbon.
  2. The Setup Views window opens. It includes five tabs, each opening a corresponding pane:
    • Statistics
    • Alerts
    • SNMP Variables
    • SNMP Devices
    • SNMP Mib Database

You can switch between these panes in the same dialog instance by selecting the corresponding tab in the navigation panel.

Notes:

  • Some client applications do not support the Setup Views dialog. If this applies to your application, you can still define a GUI alert for a statistical value in the grid or chart view. Refer to Creating an Alert from a Grid or a Chart View.
  • Ixia software applications have associated APIs that you can use to save and restore StatViewer configurations. Refer to Creating an Alert from Grid or a Chart View.

In this section

Creating an Alert

Associating Statistics with an Existing Alert

Managing Alerts

Importing/Exporting Alerts

Removing Alerts

See Also

GUI Alerts

Alert Conditions

Creating an Alert from a Grid or a Chart View

Alerts Limitations


Creating an Alert

To create an alert using Setup Views :

  1. Select a statistic from the left-hand tree under Views.
  2. Click the Create Alert [>>] button.

At this point, a new alert is created with default properties, as shown in the following figure:

Associating Statistics with an Existing Alert

If, by mistake, you create an alert for a wrong statistic, it is possible to associate a new statistic with an already defined alert. To associate a new statistic with an existing alert:

  1. Select the statistic.
  2. Select the alert.
  3. Choose the Associate with selected Alert option from the context menu.

Managing Alerts

You can manage alerts by using the Alerts pane in the Setup Views window. Client applications that do not display this window do not support alert management.

Importing/Exporting Alerts

You can export or import an alert from XML by using the Setup Views dialog.

To import/export an alert:

  1. Select an alert.
  2. Click Export or Import, according to your preferences.

Removing Alerts

You can remove an alert when it is no longer required.

To remove an alert:

  1. Select the desired item in the alerts list.
  2. Click Remove.

See Also

Creating an Alert from Setup Views

Associating Statistics with an Existing Alert

Managing Alerts

Importing/Exporting Alerts

Removing Alerts


Alerts Limitations

The following limitations apply to the Alerts feature:

  • Alerts are not available for custom graphs;
  • Only one alert per statistic is allowed;
  • The maximum number of alerts is limited to 32;
  • Graphical actions associated with alerts apply only to the current history interval in the view. A graphical action disappears if the timestamp is no longer in the current history interval of the view. This applies to both time series and non-time series views. The non-time series view shows only a snapshot of the latest values and the time series view shows the history for each statistic value.

See Also

GUI Alerts

Alert Conditions

Creating an Alert from a Grid or a Chart View

Creating an Alert from Setup Views


Generic Paging

In some cases, after a test is run, a large number of statistics is generated. To view these staistics, StatViewer provides a generic paging facility. You can use this facility to switch from one page to another. StatViewer also shows the total number of pages. You can specify how many statistics you want to view per page. When you switch from one page to anoher, StatViewer shows a progress bar to indicate that it si processing to display the next page.

Note: Paging is available only for filter grid views and only when the test is running.

Once a paging view is created, StatViewer manages the paging control that includes resolving or expanding StatEngine paths, changing page size, current page, page calculation, and so on. Ixia applications are not involved in this process.

See Also

View Functions and Features

Viewing Statistics

GUI Alerts

Event Markers

GUI Persistence


Event Markers

Event markers allow your application to show StatViewer events for different time samples or values. Event markers can be enabled or disabled for a view.

To enable/disable event markers:

  • Click the Show/Hide Iterations Marker button. It is enabled when Application Traffic is applied.

See Also

View Functions and Features

Viewing Statistics

GUI Alerts

Generic Paging

GUI Persistence


GUI Persistence

StatViewer is customizable not only at global level but also at per-view and per-statistics level. User and custom graphs can be created, different statistics can be added, charts can change colors, grid columns can change their size and position, alerts can be created, and so on.

However, all these customizations are lost when the application is closed. The GUI Persistence feature automatically saves all created views and settings in either the application configuration file or at per-user level in the Windows Registry.

The following are the main areas where there is the need for persistence:

  • The list of user-defined views
  • The settings of the views
  • The view tree

In this section

View Settings

Saving Settings

Persisted Items

See Also

View Functions and Features

Viewing Statistics

GUI Alerts

Generic Paging

Event Markers


View Settings

Each view has two different settings: Presentation and Content. Depending on the views, the settings may or may not be persisted.

Presentation Settings

The Presentation settings are the following:

  1. Show Overview. See Data for more information
  2. Display View As - Grid, Chart
  3. Individual grid columns' width, position, fixed/not-fixed, visibility
  4. Column Width Mode
  5. Grid Sorting, Grouping, Style, and Color
  6. Chart Gallery type, Palette, Zoom, AutoScroll, Show/Hide Iteration Markers, Interpolation

Content

The Content settings are the following:

  1. The view itself
  2. The list of statistics that are enabled for a specific view
  3. The filters
  4. Enable Data Collection
  5. Enable DataStore
  6. Enable CSV Logging
  7. The Alerts
  8. The view tree
  9. The list of enabled/disabled default views
  10. The list of SNMP variables, devices

In this section

Presentation Settings

Content

See Also

GUI Persistence

Saving Settings

Persisted Items


Saving Settings

There are two possible locations where the persistent settings are saved:

  • USER: The settings are saved on the local computer, in a folder specific to the Windows user that is logged on and also specific to the version of the application (there can be multiple versions installed, each with its own settings).

    If an item is saved as a USER setting, the item is loaded or applied to all configurations.

  • CONFIG: The settings are saved in the application file. For example, in IxLoad, this is the current .rxf file that is opened. Presentation settings saved in the config overwrite the ones stored at user level when the configuration is loaded.

    If an item is saved in the CONFIG file, it is loaded and available only when the user opens the application configuration file.

In this section

Enabling GUI Persistence Globally

Saving Presentation Settings at View Level

Saving Presentation Settings at Group Level

Saving Content Settings

Loading Presentation Settings

Loading Content Settings

See Also

GUI Persistence

View Settings

Persisted Items


Saving Presentation Settings at View Level

Presentation settings are saved at user level by default.

You cannot change the location where the Presentation settings are saved for each view.

To save presentation settings at view level:

  1. Click the Save Settings To option, which is added to the context menu of each view in the view tree.
  2. Choose one of the following options:
    • User Default: In your application, this is implemented as User. Click this option to save the Presentation settings in the User location.
    • Test Configuration: Click this option to save the Presentation settings in the CONFIG file.

The Reset To Factory Default option sets the default option for the view.

See Also

Saving Settings

Enabling GUI Persistence Globally

Saving Presentation Settings at Group Level

Saving Content Settings

Loading Presentation Settings

Loading Content Settings


Saving Presentation Settings at Group Level

The Presentation settings can be saved for all the views for a selected group.

To save presentation settings at group level:

  1. Click the group for which you want to save the Presentation settings. A context menu opens.
  2. Click All Group Views Presentation Settings;
  3. Click Save Settings To;
  4. Click any of the Save Settings To options. For a detailed description of these options, refer to Saving Presentation Settings at View Level.

Additionally, the Mixed option is available at group level. The Mixed option implies that there are different settings for at least two views in the group. For example, if you select Test Configuration at group level, all the views have the Test Configuration option as default. If you select the User Default option for a single view within the group, the group default does not match the single view. Under such circumstances, the Mixed option is enabled and checked.

The Reset To Factory Default option sets the default option for the group.

See Also

Saving Settings

Enabling GUI Persistence Globally

Saving Presentation Settings at View Level

Saving Content Settings

Loading Presentation Settings

Loading Content Settings


Saving Content Settings

Content settings are saved in the CONFIG file by default.

The user does not have the option to override the saved location of these settings.

For the application-created views, the application provides the option to specify whether and where, if the case, these settings are saved. For all the other views, StatViewer saves the content settings.

See Also

Saving Settings

Enabling GUI Persistence Globally

Saving Presentation Settings at View Level

Saving Presentation Settings at Group Level

Loading Presentation Settings

Loading Content Settings


Persisted Items

The following sections provide the list of views and StatViewer items that are persisted.

Application-Created Views

These views are default views. They are created by the application whenever a port is added, a protocol is configured, or traffic is applied. These views are triggered by an external event. As such, saving them is not practical, as it would lead to duplicates.

You can, however, save changes in view settings like changing column width, removing statistics from a view, and so on.

Presentation settings are saved in the User location and the CONFIG file.

Content settings are saved in the CONFIG file.

User-Created Views

These views are created by the user and may contain statistics that are specific to the configuration. All user views and custom graphs are persisted in the CONFIG file. Both the Presentation and Content settings of these views are saved. Presentation settings are also saved at User level.

StatViewer-Created Views

These views are created by StatViewer when the user performs a specific action. They are highly sensitive to the inner StatViewer configuration and as such, cannot be saved in the CONFIG file and then reloaded when the configuration is opened.

You can change the Presentation settings of any of the views and save it at User level. These changes are saved for the generic view. For example, you can change the color of the grid to green for an Egress Tracking Per Port view for port Chassis1/Card1/Port1. When the same configuration is reloaded, this particular view is not present, but the grid color is green for any Egress Tracking per Port views that are created on that machine.

The StatViewer-created views are:

  • Per-Session drill-down views

View Tree

The items persisted in the view tree are:

The layout of the tree itself, that is, expanded or collapsed nodes

Views/groups selected in the tree

Views with their checkbox enabled

The view tree items are persisted only in the current test; they are not saved at USER or CONFIG level.

In this section

Application-Created Views

User-Created Views

StatViewer-Created Views

View Tree

See Also

GUI Persistence

View Settings

Saving Settings


Adding a Custom Graph

The custom graph is derived from another view and allows users to display a detailed chart view of a specific statistic from a specific view. The Custom graph is a custom-created view that contains detailed charts based on one or more statistics, at the users' convenience. Statistics can be added to a time or a non-time series custom graph.

The custom graph stops showing statistics in any of the following circumstances:

  • If the parent view stops collecting data
  • If the parent view is removed
  • If a particular statistics that is linked to the custom graph is removed

The advantage of a custom graph is that it can pick specific statistics from another view. This helps in filtering the statistics and analyzing the data. For example, a grid view can have hundreds of statistics or views; the custom graph helps to display the important views from the list. It can also compare two values from the history for further reference.

By using the custom graph, you can:

  • Shelf statistics
  • Predict the most important statistics in the system
  • Create up to 16 views for the different statistical values
  • Organize it differently in different forms, such as window, table, bar chart, pie chart, line chart, and so on.
  • Change the display
  • Group the view to your convenience

In this section

Creating a Custom Graph

Using Custom Graph

Custom Graph Context Menu

Changing the Properties of a Custom Graph

Custom Graph Properties Window

Removing Statistics from Custom Graph

Removing a Custom Graph

Custom Graph Limitations

Examples

See Also

Creating Views

Setup Views

Saving Views as Templates


Creating a Custom Graph

Custom graphs can be time series or non-time series. You can create both by following the steps sequence in the next section.

Step 1: Generating an Empty Custom Graph

The creation of a custom graph is a two-step process, implying first the generation of an empty custom graph and then populating it with the desired statistics.

To generate an empty custom graph:

  1. Right-click a group in the view tree node. A context menu opens

    Note: This option is not available at Default and Port group level. It can be used only on views or any custom-created group.

  2. Click the Add Custom Graph option.The submenu options are Time Series and Non Time Series.
  3. Click the relevant option. An empty custom graph is created.

    Note: Alternatively, you can add a custom graph by clicking the Custom Graph button on the grid view tool bar. For details on this, see Defining Grid View Controls.

Step 2: Adding Statistics to Custom Graph

After an empty custom graph is created, you can add statistics to the view.

To add statistics to a newly-created custom graph:

  1. Select different cells in the filter-grid view and choose Add to Custom Graph from the context menu. The menu now displays a list of custom graphs that have already been created.
  2. Click New to create a new custom graph with the statistics in the grid.
  3. Click one of these two options: Time Series or Non Time Series.

You can continue to add new statistics to an existing custom graph until the limit is reached.

The number of statistics displaying in each Custom Graph is user-configurable.

To set the maximum number of statistics per Custom Graph:

  1. Select StatViewer options from the ribbon and then go to Custom Graph tab.
  2. Or, select Test Options icon from the ribbon in the Home menu tab. Select StatViewer option and then go to Custom Graph tab.
  3. In the Maximum Number of Stats Per Custom Graph field set a value of your choice in the 1-256 range.
  4. Click OK. The changes take effect in the current configuration.

In this section

Step 1: Generating an Empty Custom Graph

Step 2: Adding Statistics to Custom Graph

See Also

Adding a Custom Graph

Using Custom Graph

Custom Graph Context Menu

Changing the Properties of a Custom Graph

Custom Graph Properties Window

Removing Statistics from Custom Graph

Removing a Custom Graph

Custom Graph Limitations

Examples


Using Custom Graph

The custom graph is added to a different subgroup under the main Views group. You can show or hide a custom graph by selecting it from the view tree. You can also display the custom graph as fixed within the display area or floating. The display area includes the fixed custom graphs.

See Also

Adding a Custom Graph

Creating a Custom Graph

Custom Graph Context Menu

Changing the Properties of a Custom Graph

Custom Graph Properties Window

Removing Statistics from Custom Graph

Removing a Custom Graph

Custom Graph Limitations

Examples


Changing the Properties of a Custom Graph

To change the properties of a custom graph:

  1. Right-click the custom graph in the view tree. A context menu opens.
  2. Click Properties. The View Properties window opens.

See Also

Adding a Custom Graph

Creating a Custom Graph

Using Custom Graph

Custom Graph Context Menu

Custom Graph Properties Window

Removing Statistics from Custom Graph

Removing a Custom Graph

Custom Graph Limitations

Examples


Custom Graph Properties Window

The View Properties window contains the following fields that control the general appearance of the custom graph.

  • Caption. Enter the name of the custom graph.
  • Floating. If enabled, it shows the custom graph as a floating window outside the main application window.
  • Active. Click this checkbox to enable the custom graph to load data for statistics.
  • Enable event markers. Click this checkbox to enable event markers to appear in chart views.
  • Chart. The chart view provides support for displaying the statistics in chart format. Refer to Chart View. You can choose the type of chart you want for the statistic from the options listed under Chart.
  • Range. This window pane applies only to chart views. Range refers to the scaling type applied to statistics before they appear in a chart.
    • Auto. Automatic scaling ensures that all statistics fit in a chart.
    • Fixed. Fixed scaling means that no scaling is applied. Only statistics with values between the specified Min and Max values appear in a chart.
    • Normalized. With Normalized scaling, the y-axis has a minimum value of 0 and a maximum value of 100. Each statistic is normalized; that is, each statistic is scaled individually to fit in a chart. The scaling factor that is used for each statistic appears in the data legend near the statistic's name.
  • Chart Properties. This window pane applies only to chart views. It allows you to list long statistics names by using one of the following options:
    • First part of name
    • Last part of name

The custom graph records the history of the statistic views. The Data History option has two fields that set the time and the polling interval to capture the views with its timestamp:

History Interval. This field controls the time interval between loaded samples. For example, you can set the history interval to 30 minutes so that no matter what the test duration is, you can always view the statistics gathered over the last 30 minutes.

Polling Interval Multiple. This field records statistics with the value entered in the field multiplied by two. For example, if the statistics polling interval is 1, the custom graph records statistics at an interval of every 1 * 2 = 2 seconds. If you change the polling interval, all existing data in the custom graph is dropped. Every time you change the polling interval, the internal buffer is recreated and the data is reloaded.

See Also

Adding a Custom Graph

Creating a Custom Graph

Using Custom Graph

Custom Graph Context Menu

Changing the Properties of a Custom Graph

Removing Statistics from Custom Graph

Removing a Custom Graph

Custom Graph Limitations

Examples


Removing a Custom Graph

To remove a custom graph:

  1. In the view tree node, right-click the custom graph that you want to delete. A context menu opens.
  2. Click Delete.

Removing Statistics from Custom Graph

To remove statistics from a custom graph:

  1. Right-click the custom graph and select the statistics.
  2. Click Remove Stat.

The persistence can be seen only when you switch from StatViewer to your application and back to StatViewer. The settings are lost when you reapply traffic, another configuration file is loaded, or when you exit the application.

See Also

Adding a Custom Graph

Creating a Custom Graph

Using Custom Graph

Custom Graph Context Menu

Changing the Properties of a Custom Graph

Custom Graph Properties Window

Removing Statistics from Custom Graph

Custom Graph Limitations

Examples


Custom Graph Limitations

The following limitations apply to the custom graph feature:

  • StatViewer does not create custom graphs containing statistics from different pages of the Traffic view.
  • Custom graphs do not provide any kind of persistent storage.
  • Maximum number of custom graphs is 16.
  • Maximum number of statistics per custom graph is 256.
  • The polling interval can be only a multiple of the test polling interval.

    The maximum number of samples per custom graph is 900. The formula to establish the number of samples per custom graph is:

    history interval, in seconds/polling interval. Both parameters are user-configurable.

See Also

Adding a Custom Graph

Creating a Custom Graph

Using Custom Graph

Custom Graph Context Menu

Changing the Properties of a Custom Graph

Custom Graph Properties Window

Removing Statistics from Custom Graph

Removing a Custom Graph

Examples


Setup Views

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

Legacy Setup View

The Legacy Setup Views is an important tool for managing groups, views, and statistics. Legacy Setup Views makes it easier to use the following functions:

  • Adding statistics to an existing or new view
  • Removing statistics or a view
  • Copying statistics or a view
  • Importing and exporting a view
  • Saving a view as a template
  • Enabling or disabling statistics
  • Specifying properties for statistics

In this section

Opening Setup Views Dialog

Managing Views and Statistics

Creating and Managing Alerts

See Also

Creating Views

Adding a Custom Graph

Saving Views as Templates


Opening Setup Views Dialog

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

Opening Legacy Setup Views Dialog

To open the Legacy Setup Views window:

  1. Click Legacy Setup Views icon in the Data tab ribbon. The Legacy Setup Views window opens.

The Legacy Setup Views window includes the following tabs:

  • Statistics-Manages views and statistics.
  • Alerts-Manages alerts.
  • SNMP Variables-Defines and manages SNMP variables.
  • SNMP Devices-Defines SNMP devices and associates them with SNMP statistics.
  • SNMP Mib Database-Manages the SNMP Mib Database.

You can switch between these tabs in the same dialog by selecting the corresponding mode in the navigation panel of the Legacy Setup Views window.

The following sections explain the function of each tab in the Legacy Setup Views window.

See Also

Legacy Setup Views

Managing Views and Statistics

Creating and Managing Alerts


Managing Views and Statistics

Clicking the Statistics tab opens the Statistics window, where you can manage groups, views, and statistics.

The Statistics window is divided into three panes: Statistics, Stats Catalog, and Views.

In this section

Statistics

Stats Catalog

Views

See Also

Legacy Setup Views

Opening Legacy Setup Views Dialog

Creating and Managing Alerts


Statistics

The Statistics pane has the following options:

  • Remove: Click this option to remove a statistic from the stats catalog. A confirmation dialog box opens before removing the statistics from the list.
  • Copy: Click this option to copy statistics.
  • Paste: Click this option to paste a statistic that has been copied from one location to another.
  • Import: Click this option to import a saved statistic to the stats catalog list.
  • Export: Click this option to export a statistic in the local drive.
  • Save as Template: Click this option to save a view as a template.

See Also

Managing Views and Statistics

Stats Catalog

Views


Stats Catalog

The middle pane in the Statistics window is the Stats Catalog.

The Stats Catalog lists the Source Type items. This list is populated by the client application that uses StatViewer. In some special cases, SNMP plugins also add some items. These items or statistics can be visualized in the Views pane. You can add individual items from the source type to a new view or to an existing view, as shown in the following figure:

To add a new view:

  1. Select the items under the Source Type of your choice.
  2. Select a group in the Views pane, where the new view is to be created. The Add to a new View button is enabled only after you perform Step 2.
  3. Click the Add to a new View button to add the items under the new view.

To add items to an existing view:

  1. Select the items under the Source Type of your choice;
  2. Select the view where you want to add the items;
  3. Click the Add to View button to add the items under the new view.

To delete an item from a view:

  1. Right-click the item;
  2. Select Remove.

In this section

Displaying Stats/Filters in Stats Catalog

See Also

Managing Views and Statistics

Statistics

Views


Displaying Stats/Filters in Stats Catalog

The Source Types in the Stats Catalog show the statistics, as well as the filters. There are two nodes for each Source Type:

  • The Stats node, which contains all available stats.
  • The Filters node, which contains all available filters.

    Note: The Filters node and any other node below it are only for informational purposes. The Add to New View >>+ and Add to View >> buttons are disabled when these nodes are selected.

See Also

Stats Catalog


Views

The Views pane supports the view tree structure. Please refer to View Tree for more information. The view tree displays the views, groups, and statistics, supporting multiple selections. The right-click menu options for the groups, views, and statistics are different. They are described in the subsequent section.

In this section

Menu Options for a Group

Menu Options for a View

Menu Options for Statistics

See Also

Managing Views and Statistics

Statistics

Stats Catalog


Menu Options for a Group

To access the groups context menu:

  1. In the Views pane, right-click a group node;
  2. A context menu opens. The options are described in the following table.

Option | Description
Cut | Click this option to copy the selected group to clipboard and Delete it when Paste is complete. You can cut multiple groups. The keyboard shortcut is CTRL+X.
Copy | Click this option to copy the selected group to clipboard. There are two copies of the same group when Paste is complete. You can copy multiple groups. The keyboard shortcut is CTRL+C.
Paste | Click this option to Paste the last copied group to the selected group. The keyboard shortcut is CTRL+V.
Paste New | Click this option to paste the last copied groups from clipboard to another group. All the views under the group are cloned and copied to the destination group. The new view name is the original name + -copyn. For example, if Port CPU Statistics is the original view name, and it is copied for the second time, then the new view name in the destination group is Port CPU Statistics-Copy 1.
Add Group | Click this option to add a new group to the currently selected group.
Delete | Click this option to delete the selected group from the tree.

See Also

Views

Menu Options for a View

Menu Options for Statistics


Menu Options for a View

To access the views context menu:

  1. In the Views pane, right-click a view node.
  2. A context menu opens.The options are described in the following table.

Option | Description
Cut | Click this option to copy the selected group to clipboard and delete it when pasting is complete. You can cut multiple views. The keyboard shortcut is CTRL+X.
Copy | Click this option to copy the selected group to clipboard. There are two copies of the same group when pasting is complete. You can copy multiple views. The keyboard shortcut is CTRL+C.
Paste Properties | Click this option to paste the view properties from the last copied view to the selected view. You can apply the same properties to multiple views.
Delete | Click this option to delete the selected views from the tree. A warning message displays if multiple views are selected.
Properties | Please refer to View Properties for more information.

In this section

View Properties

See Also

Views

Menu Options for a Group

Menu Options for Statistics


View Properties

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

View Properties

The View Properties function helps you to manage the statistics in a view.

To access the View Properties window:

  1. In the Views pane, right-click a view node. A context menu opens.
  2. Click Properties. The View Properties window opens. It contains the following nodes:
    • Appearance - includes the General and View Type subnodes
    • Data History - includes the General and CSV Logging subnodes
    • Stat Defaults - includes the Default Properties and Default Filters subnodes

In this section

View Properties - General Appearance of a View

View Properties - Type-Dependant View Appearance

View Properties - Data History General Options

View Properties - Data History CSV Logging

View Properties - Statistics Default Properties

See Also

Menu Options for a View


View Properties - General Appearance of a View

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

View Properties - General Appearance of a View

Clicking the Appearance>General node displays the following fields that control the general appearance of a view:

  • Caption: Enter the name of the view. You can modify the caption for custom views.
  • Floating: If enabled, it shows the view as a floating window outside the main application window. In some Ixia software applications, however, it remains dockable within the main window.
  • CSV only: If this is enabled, a csv file is saved and updated with test statistics. This is not visible in the view and is saved as a separate file.
  • On filter grid apply alerts to entire column: If enabled, this option applies an alert condition to an entire column instead of a specific cell. This is applicable only for a filter or a non-time series grid view.
  • Aggregated State Count view has an additional option: Enable Event Markers.

See Also

View Properties

View Properties - Type-Dependant View Appearance

View Properties - Data History General Options

View Properties - Data History CSV Logging

View Properties - Statistics Default Properties


View Properties - Type-Dependant View Appearance

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

View Properties - Type-Dependant View Appearance

Clicking the Appearance>View Type node displays the following fields that control the appearance of a view, depending on its type:

  • Chart: The chart view provides support for displaying the statistics in chart format. Refer to Chart View. You can choose the type of chart you want for the statistic from the options listed in the Chart section.
  • Grid: The grid view provides support for displaying the statistics in grid format.
  • Range: This window pane applies only to chart views. Range refers to the scaling type applied to statistics before they appear in a chart.
  • Auto: Automatic scaling ensures that all statistics fit in a chart.
  • Fixed: Fixed scaling means that no scaling is applied. Only statistics with values between the specified Min and Max values appear in a chart.
  • Normalized: With normalized scaling, the y-axis has a minimum value of 0 and a maximum value of 100. Each statistic is normalized, that is, it is scaled individually to fit in a chart. The scaling factor that is used for each statistic appears in the data legend near the statistic's name.
  • For long stat names, show: This option helps to truncate the first or last part of a very long statistic name at the bottom of a statistics table in a view:
    • First part of name: Click this option to truncate the first part of a statistics name.
    • Last part of name: Click this option to truncate the last part of a statistics name.

The following figure shows the truncated statistics names at the bottom of a chart view.

See Also

View Properties

View Properties - General Appearance of a View

View Properties - Data History General Options

View Properties - Data History CSV Logging

View Properties - Statistics Default Properties


View Properties - Data History General Options

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

View Properties - Data History General Options

Clicking the Data History>General node opens a windows displaying the following options:

  • Enable Data Store: If this option is enabled, StatViewer writes the statistical values in binary format for all test results in a view. The test result is converted into a binary array and written to a file.
  • Polling Interval Multiplier: Allows you to specify a custom sampling interval for data store.

    NOTE: The individual polling interval is not taken into account when the global Data Store option is enabled and a global polling interval multiplier is specified.

  • Interpolation Type: It represents the algorithm used by the replay feature while loading the statistics value for a view. If the number of timestamps saved for a view is large, it is difficult to load all of them together. The timestamps are then split into separate windows. The algorithm is applied to derive only one value from each window. The Interpolation types are:
    • Average: Derives the average values in each window.
    • Max: Derives the maximum value in each window.
    • Min: Derives the minimum value in each window.

See Also

View Properties

View Properties - General Appearance of a View

View Properties - Type-Dependant View Appearance

View Properties - Data History CSV Logging

View Properties - Statistics Default Properties


View Properties - Data History CSV Logging

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

View Properties - Data History CSV Logging

Clicking the Data History>CSV Logging node opens a window displaying the following CSV logging properties:

  • Enable CSV Logging: Click this checkbox to enable CSV logging for a particular view. This can also be enabled from the menu (StatViewer >Settings>Defaults>Statistics Options>Test Options).
  • New CSV on toggle: Click this checkbox to store the data in a new CSV file every time you toggle the Enable CSV Logging option.
  • Polling Interval: This field indicates how often the statistics group is collected, in seconds, from the Ixia port. Ixia recommends that you set intervals that are no more than 10 percent of the test runtime to ensure that enough data is collected to create accurate results. The Polling Interval value also affects the amount of time that your application waits at the end of the test to collect final statistics. The Polling Interval value must be less than or equal to the total time of the longest running traffic network pair.
  • CSV File Name: This field helps to specify the destination folder where the .csv files are written.

After the properties are set, StatViewer generates .csv files.

See Also

View Properties

View Properties - General Appearance of a View

View Properties - Type-Dependant View Appearance

View Properties - Data History General Options

View Properties - Statistics Default Properties


View Properties - Statistics Default Properties

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

View Properties - Statistics Default Properties

The following figure shows the Default Properties under the Stat Defaults node.

This window helps to manage the appearance of the view and the format in which the test result display. Please note that the changes made in this window do not affect the existing views. Changing properties is allowed only when the test is not running.

Please refer to the following table for definitions of the aggregation functions present in the Default Properties window.

Function | Description
Sum | Adds all statistics together.
Max | Determines the maximum value.
Min | Determines the minimum value.
Average | Determines the average value.
WeightedAverage | This aggregation type is used for weighted statistics.
Rate | Determines the rate of change of the sum of all the statistics.
MaxRate | Determines the maximum rate.
MinRate | Determines the minimum rate.
AverageRate | Determines the average rate.
IntervalAverage | Calculates the average value for a statistic.
RunStateAgg | Computes aggregated runstate over a set of runstate statistics.
RunStateAggIgnoreRamp | Calculates aggregated runstate over a set of runstate statistics while ignoring/throwing an error for ramp-up/ramp-down states.
VectorMax | Calculates the maximum value from the specified set of statistics at time T.
DivSum | Applies to stats of pair type. It calculates the sum of the values divided by the sum of weights at time T.
VectorMin | Calculates the minimum value from the specified set of statistics at time T.
Delta | Calculates the difference between the current and the previous values for a statistic.

See Also

View Properties

View Properties - General Appearance of a View

View Properties - Type-Dependant View Appearance

View Properties - Data History General Options

View Properties - Data History CSV Logging


Menu Options for Statistics

To access the statistics context menu:

  1. In the Views pane, right-click a statistics node.
  2. A context menu opens. The options are described in the following table.

Option | Description
Cut | Click this option to copy the selected group to the clipboard and delete it when pasting is complete. You can cut multiple views. The keyboard shortcut is CTRL+X.
Copy | Click this option to copy the selected group to clipboard. There are two copies of the same group when pasting is complete. You can copy multiple views. The keyboard shortcut is CTRL+C.
Paste Before | This pastes the last copied stat to one location before the currently selected stat. The keyboard shortcut is CTRL+V.
Paste Properties | Click this option to paste the view properties from the last copied view to the selected view. You can apply the same properties to multiple views.
Paste Filters | Click this option to open a dialog that allows you to paste only the filters from the last copied statistics to the selected statistics.
Delete | Click this option to delete the selected views from the tree. A warning message displays if multiple views are selected.
Filters | Click this option to view the View Properties-Stat Defaults-Filters window. You can view the filters that are applied on particular statistics.
Properties | Click this option to open the View Properties-Stat Defaults-Properties window. Please refer to View Properties - Statistics Default Properties for more information.

See Also

Views

Menu Options for a Group

Menu Options for a View


Creating and Managing Alerts

This function is described in detail in Creating an Alert from Setup Views.

See Also

Setup Views

Opening Setup Views Dialog

Managing Views and Statistics


Saving Views as Templates

You can save views as templates. Saving a view as a template enables you to share that template among other applications that use StatViewer. Applications that share templates all share the same views.

To save a view as a template:

  1. Select the view;
  2. In the Setup Views dialog, click Save as Template. Views are automatically saved on the same PC where the TestServer component is installed. For IxLoad, TestServer is installed on the client PC, so templates are also saved on the client PC.

In this section

Managing Templates

See Also

Creating Views

Adding a Custom Graph

Setup Views


Setup View Wizard

 Ixia StatViewer IxLoad6.0 Help

Previous Topic

Next Topic

Custom View Wizard

The Custom View Wizard allows you to create or edit customized statistics views. You can create or edit the views at any time—before running the test or while running the test. You can also save the customized views for future use.

This section describes how to create and edit customized views using the Custom View Wizard. The following figure shows a typical Setup Wizard window.

In this section

Creating Custom Views

See Also

Statistics

Overview

View Functions and Features

Creating Views

Data History

Using Event Viewer

Generating Reports

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


Creating Custom Views

You can start the Custom View Wizard from the ribbon under Data tab.

The Custom View Wizard takes you through the following windows to create custom views:

  1. Custom View Wizard–Start Window
  2. Custom View Wizard–General Window
  3. Custom View Wizard–Filters Window
  4. Custom View Wizard–Statistics Window
  5. Custom View Wizard–Appearance Window
  6. Custom View Wizard–Data History Window
  7. Custom View Wizard–Preview Window

When you finish and close the Setup View Wizard, the new, custom view that you created appears in the StatViewer view tree.

In this section

Start Window

General Window

Filter Window

Statistics Window

Appearence Window

Data History Window

Preview Window

See Also

Setup View Wizard


Start Window

The Setup View Wizard starts with the Custom View Wizard–Start window. This window presents a summary of the actions available in the configuration windows that follows.

The following options are available on the start window:

Option | Description
Don't show again | When you select this option, the start window is not displayed the next time you start the Setup Wizard.
Save in | This option helps you to save the view at a location of your choice. Select this option, and enter the path of the folder where you want to save the view at the end of the test.

Click Next to continue to the Custom View Wizard–General window.

See Also

Creating Custom Views

General Window

Filter Window

Statistics Window

Appearence Window

Data History Window

Preview Window


General Window

The Custom View Wizard–General window allows you to give a name to the custom view, define the type of view, and define the location of the custom view in the view tree. If you want the custom view to appear under a different folder in the view tree, you can also create a new folder for the view.

The following options are available on the Custom View Wizard–General window:

Option

Description

View Name

This option allows you to save the view with a name of your choice.

Enter the name you want to give to your custom view.

Create in

This option helps you to create the view at a location of your choice.

Select this option, and enter the path of the folder where you want to create the view.

View Type

The appearance of the Custom View Wizard–General window depending on the selected View Type. The default View Type is a Grid View.

You cannot change the View Type after defining filters or statistics for the view.

Chart

Select this option to show the custom statistics in a chart form.

Grid

Select this option to show custom statistics in a grid form.

CSV only

Select this option to save the custom statistic in a CSV file.

You can save the CSV file with a name of your choice in the file system. This option shows real time data for the custom statistics.

If you try to open the CSV file while the test is still running, it opens in the read-only mode.

Existing Custom View Template

You can use existing custom views to create new custom view.

Use an existing custom view as template

This option allows you to use an existing views from the saved IxLoad configuration.

To use this option, do the following:

  1. Click Browse; the View Template window opens, listing the available view templates.
  2. Select the view you want to use as template in the wizard.

Use a saved view as template

This option allows you to use a view that is saved in XML format while creating a custom view earlier.

To use this option, do the following:

  1. Click Browse; the Open window opens, and shows the previously-saved views, in XML format.
  2. Select the view you want to use as template for your present custom view.

After you complete configuring the general options, click Next to continue to the Custom View Wizard–Filters window.

See Also

Creating Custom Views

Start Window

Filter Window

Statistics Window

Appearence Window

Data History Window

Preview Window


Filter Window

The Custom View Wizard–Filters window, allows you to define the specific statistics categories that you want to include in the custom views. It also allows you to create filters within each statistics category to show only specific statistics in the custom view.

The main statistics categories are as follows:

  • Layer 4-7 Protocols
  • SNMP

The screen below showing the filter options:

In this section

Creating Filters for Layer 4-7 Protocol

Creating Filters for SNMP Devices

See Also

Creating Custom Views

Start Window

General Window

Statistics Window

Appearence Window

Data History Window

Preview Window


Creating Filters for Layer 4-7 Protocol

The Layer 4-7 Protocol statistics category allows you to select statistics based on the following:

  • Layer 4-7 Test
  • Traffic-Network Mapping
  • Activity
  • Filtering
  • Chassis
  • Card
  • Port.

The following options are available on the Custom View Wizard–Filters window to configure the custom view for Layer 4-7 Protocol statistics:

Option

Description

Filters

This pane allows you to define a name for the filter and select the statistics category.

You can create multiple filters.

The following options are available in this pane:

Filter Name

This option allows you to give a name to the filter.

Enter a name for the filter you create.

Available Statistics Category

This option provides a list of the available statistics category. Select the category for which you want to create the filter.

Add a new filter

Click this button to add another row in the Filters pane.

Delete the selected filter

Select a filter from the Filters pane, and click this button to remove it.

Editing Filters

This pane allows you to define conditions for the filters. This pane is available when you click the Show Filter Panel button.

You can create multiple conditions.

The following options are available in this pane:

Show Filter Panel

Click this button to open or close the Editing Filters pane, where you can create filters for each statistics category filter..

Search Filter Tree

Click this button to open or close the Filter Search tool bar in the Editing Filter pane.

Configure SNMP parameters

Click this button to configure a custom statistics view for SNMP.

Add Filter

Select this button to display a new filter in the New field. The added filters are in the format: New1, New2, ... , Newn.

Save Filter

Click this button to save the currently displayed filter.

Apply Filter

Click this button to apply the currently displayed filter to the items listed in the lower pane. This action also applies a light green background to that pane. If you have configured filter conditions in the middle pane, such as restricting the statistics view to apply to one port only from a group of ports, only that particular port is displayed in the lower pane.

Clear Filter

Click this button to delete any conditions added to the current filter.

Add Condition button

(next to the And operator)

Click this button to add a new condition to this group.

The type of filter condition added depends on the type of statistics (the operand) selected in the Available Statistics Categories list in the Filters pane.

In the condition listing, you can click "Is any of" (the default operator) to display a list of operators. The available operators depend on the selected statistics category and can include—Contains, Does not contain, Is all of, Is any of, Is none of, or Is in any Range.

To add the condition value, click the Down arrow to show the list of available values, for example, available ports. After you select the conditions, click Apply Filter.

Remove this condition

Click this button to remove the selected condition.

After configuring the filters, click Next to continue to the Custom View Wizard–Statistics window.

See Also

Filter Window

Creating Filters for SNMP Devices


Creating Filters for SNMP Devices

The Simple Network Management Protocol (SNMP) is a standard device management protocol. It is available on practically any device (for example, printers, routers, switches). It offers a powerful mechanism for monitoring and configuring devices.

To configure a custom statistics view for SNMP, do the following:

  1. Select SNMP Devices, in the Available Statistics Categories list.
  2. Click the Configure SNMP Parameters button on the Editing Filters tool bar.

The SNMP Configuration window opens.

The following options are available on the SNMP Configuration window:

Option | Description
SNMP Variables | The SNMP Variables tab allows you to define and manages SNMP variables.
SNMP Devices | The SNMP Devices tab allows you to defines SNMP devices and associates them with SNMP statistics.
SNMP Database | The SNMP Database tab allows you to Manages the SNMP MIB Databases.

For details, see SNMP Configuration.

After completing the SNMP configuration, click the Close button to close the SNMP Configuration wizard and return to the Custom View Wizard–Statistics window.

See Also

Filter Window

Creating Filters for Layer 4-7 Protocol


Statistics Window

The Custom View Wizard–Statistics window allows you to select the specific statistics to include in the view.

The following options are available on the Custom View Wizard–Statistics window:

Option | Description
Available Filters | This pane displays the list of filters created from the Custom View Wizard–Filters window. Select the filter from the list to display the available statistics for the filter.
Available Statistics for This Filter | This pane lists the available statistics for the selected filter. Select the statistics you want to include in the view and click the right arrow to move them to the Selected Statistics for All Filters list.
Selected Statistics for All Filters | This pane lists the filters that you selected to include in the view.
Appearance | This option allows you to define caption, color, and scale of the view.
Aggregation | This option allows you to define formula for custom filters.

After you complete configuring the statistic options, click Next to continue to the Custom View Wizard–Appearance window.

See Also

Creating Custom Views

Start Window

General Window

Filter Window

Appearence Window

Data History Window

Preview Window


Appearence Window

The Custom View Wizard–Appearance window, allows you to select the appearance properties for the custom statistics view.

If you have selected Grid as the View Type in the Custom View Wizard–General window, it allows you to change the column order and configure statistics group.

If you have selected Chart as the View Type in the Custom View Wizard–General window, it allows you to define the following:

Option

Description

Normalization

Auto Scale

Select this option to auto-scale the chart.

Fixed Scale

Select this option to increase or reduce the chart within the limit set by the Min and Max fields value.

Normalized (scale of 100)

Select this option to always display the chart to the scale of 100.

Display long statistics name

First part of name

Select this option to display only the first part of the statistic name.

Last part of name

Select this option to display only the last part of the statistic name.

Chart Type

You can select from any of the following chart types:

  • Area (Time Series)
  • Line (Time Series)
  • Spline (Time Series)
  • SplineArea (Time Series)
  • Pie
  • Bar

The window is disabled if the CSV only option is selected in the Custom View Wizard–General window.

After you complete configuring the appearance options, click Next to continue to the Custom View Wizard–Data History window.

See Also

Creating Custom Views

Start Window

General Window

Filter Window

Statistics Window

Data History Window

Preview Window


Data History Window

The Custom View Wizard–Data History window allows you to configure data storing and CSV logging options.

Select the Enable Data Store check box to enable defining the following data store option:

  • Data Interpolation for Replay: Select any of the Average, Max, or Min option buttons to set the Data Interpolation for replayed views. The default value in this field is Average.
  • Polling Interval Multiplier: Select a value in this field. The default value is is 1. Use the up or down arrows to increase or decrease the multiplier value, respectively. Increasing the multiplier value increases the polling interval; decreasing the multiplier value decreases the polling interval.

Select the Enable CSV Logging check box to enable defining the following CSV logging option:

  • New file on Enable CSV Logging: Select this option to create a new file each time CSV logging is enabled/disabled.
  • CSV File: Enter a name for the CSV file. The CSV Path Name is created by default, using the unique statistics view name created in the Custom View Wizard–General window, plus the file extension .csv.

After you have finished selecting the options in the Data History window, click Next to complete the configuration and continue to the Custom View Wizard–Preview window.

See Also

Creating Custom Views

Start Window

General Window

Filter Window

Statistics Window

Appearence Window

Preview Window


Preview Window

The Custom View Wizard–Preview window for the Grid view type, presents an overview of the properties for the customized statistics view that you have configured. It displays the column headings for the custom statistics view, and the settings for appearance and data history.

The Preview window for the Chart view type, presents a quick overview of the properties for the customized statistics view that you have configured. It includes an example of the Chart type, and displays the settings for appearance and data history.

This window is read-only and simply for information purposes.

The Finish button on the Custom View Wizard–Preview window is available only if you have created a valid custom view.

Click Finish to complete the configuration.

If the button is not available check the options you selected and create a valid custom view. Then click Finish. The custom view appears in the view tree of the StatViewer window.

See Also

Creating Custom Views

Start Window

General Window

Filter Window

Statistics Window

Appearence Window

Data History Window


Data History

This section describes the StatViewer features related to data history.

In this section

Data Store and Replay

Run View

Data Miner

Generating CSV Files

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Using Event Viewer

Generating Reports

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


Data Store and Replay

This section describes how to work with the data store and replay functions in StatViewer.

In this section

Data Store

Overview Control

Replaying Test Results

Comparing Multiple Iterations

Replaying and Comparing Result Groups

See Also

Data History

Run View

Data Miner

Generating CSV Files


Data Store

Data Store allows the ongoing test to save data on the disk for future replay or query. The test requires a folder in order to save data. This folder is the test result path.

The Data Store option can be enabled at test level, at view level, or by right-clicking a view in the view tree.

If this option is enabled, StatViewer writes a statistical value in binary format for all test results in a view. The test result is converted into a binary array and written to a file.

The change in statistical information, that is, the addition and deletion, is also saved into some other file. This is done to convert the binary data back to a format understandable by the test. This statistical change list is also maintained in Data Store.

The statistical values are saved if the test-level datastore option and/or the view-level datastore options are enabled. If both are disabled, then only the change lists are stored.

Viewing log information is also very important for data store. Addition and deletion of views are critical information for the applications.

In this section

Data Store at Test Level

Data Store at View Level

Data Store in View Tree Menu

See Also

Data Store and Replay

Overview Control

Replaying Test Results

Comparing Multiple Iterations

Replaying and Comparing Result Groups


Data Store at Test Level

If you want to store data for all the views in a test, enable data store before starting a test.

To enable datastore at test level:

  1. Click on StatViewer Options under Data tab in the ribbon. .

Now you can start the test. Clicking the Enable Data Store for all Views checkbox enables the test server to save the results for all of the views in the current test.

In this section

Data Store Optimization-Global

See Also

Data Store

Data Store at View Level

Data Store in View Tree Menu


Data Store Optimization-Global

If you enable data store for all views, by default, data store is logged at the polling interval (seconds) that is mentioned for the statistics.

However, you can now specify the data store polling interval separately. This is useful when a test takes a long time to execute.

Enter the Data Store Polling Interval Multiplier value after enabling data store for all views. This enables data store and the polling interval for data store, globally, for all views.

See Also

Data Store at Test Level


Data Store at View Level

You can also set the Data Store option at view properties level. Please refer to View Properties for more information.

See Also

Data Store

Data Store at Test Level

Data Store in View Tree Menu


Data Store in View Tree Menu

You can right-click a view or group in the view tree to enable data store. When you enable data store for a view, the view's corresponding overview pane displays automatically. Refer to Overview Control for more information.

See Also

Data Store

Data Store at Test Level

Data Store at View Level


Overview Control

The overview control is placed at the bottom of an existing chart or grid. It is used to control the zoom interval and to scroll back and forth through the data. The sliding window on the overview component establishes what can be seen in the detailed chart or grid.

To activate the overview control:

  1. Right-click any statistic in the chart/grid. A context menu opens.
  2. Click the Show/Hide Overview option. The overview chart appears just above the view tool bar.

    Note: You can resize the overview window by dragging the handle just below the overview pane.

The buttons attached to the overview control chart are described in the following table.

Button

Description

Predefined Zoom Steps

Click this button to open a pop-up menu:

Min: This is the minimum time interval for zooming. It is about five minutes if the polling is made every two seconds, and about two and half minutes if the polling is set to one second.

Max: This is the maximum duration for which the test was run. In addition, depending on the test duration the application maintains some automatic intervals (for example, 30 minutes, one hour, four hours, and so on).

Available Iterations

Click this button to open a pop-up menu showing the list of result sets/groups defined for the current view.

The available iterations for a view are available and displayed in the pop-up menu.

If the window is empty, then clicking this button displays a dialog with the “No iteration available to compare” message.

Note: You must enable the Show/Hide Iteration Markers button before running a test in order to load a test for comparing iterations.

Go Forward

Click this button to scroll the view forward.

Go Back

Click this button to scroll the view backward.

In this section

Overview Pane Tooltips

Time Series Views

Snapshot/Non-Time Series Views

See Also

Data Store and Replay

Data Store

Replaying Test Results

Comparing Multiple Iterations

Replaying and Comparing Result Groups


Overview Pane Tooltips

The Overview pane has two tooltips, depending on the area over which the mouse hovers.

  • For the whole overview window: The text displayed is Timeline Overview.
  • For the zooming window: The text displayed is Current display timeline - Start Time %% End Time %%.

See Also

Overview Control

Time Series Views

Snapshot/Non-Time Series Views


Time Series Views

The overview control component draws a graph for each statistic in a view. However, due to its small height, all the graphs are scaled using the larger scaling factor. As a result, if the difference between the graphs is too big, some of the graphs overlap and are painted very close to the x-axis.

The detailed view (chart or grid) always shows a fixed number of values for each statistic, but depending on the zooming interval, the distance between the values is different. This improves performance because the number of values to be loaded in the chart/grid is smaller and the memory footprint is also reduced.

Depending on the duration of the test, a dynamic list of predefined zooming time intervals (for example, 30 minutes, one hour, two hours, four hours, and so on) is automatically maintained and showed on the overview component. Choosing any of these predefined zooming intervals automatically sets the sliding window size and the detailed chart history interval.

While dragging the sliding window, the corresponding timestamp is shown as a hint.

All the operations that result in a data change action (for example, scrolling, changing the sliding window size by dragging from its side buttons, or choosing a predefined zoom interval) temporarily disable the detailed view (chart or grid) and show a progress bar until the new data is loaded.

See Also

Overview Control

Overview Pane Tooltips

Snapshot/Non-Time Series Views


Snapshot/Non-Time Series Views

The overview control is used in non-time series views, except that in this case, the sliding window has a minimum value and you cannot change its size. Moreover, this type of view does not display graphs.

In this section

Zoom Out and Real-Time Data

Data Availability in Overview Control

See Also

Overview Control

Overview Pane Tooltips

Time Series Views


Zoom Out and Real-Time Data

By default, a view in a running test is in real-time mode and is set to auto scrolling. Until the test starts, the overview component has nothing to show. After the test starts and the statistics are delivered, the overview control starts updating itself. Over the entire test run, the overview control shows an overview of statistics back to the beginning of the test, but the sliding window gradually becomes smaller to show the latest history. When the auto-scroll option is on, both the sliding window and the detailed view scroll to the end.

If you perform any action that requires the zoom interval to be changed, the detailed view is updated to reflect the zoom interval and position, and it is not updated anymore when new real-time data comes in. However, the overview control is still updated with real-time data. In such cases, the auto-scroll option is automatically disabled.

If the data store option is disabled, you are still able to resize or move the sliding window. If no results are stored, no data is loaded.

See Also

Snapshot/Non-Time Series Views

Data Availability in Overview Control


Data Availability in Overview Control

The overview control replays data only for the timespan that has data store (refer to Data Store) enabled. Timespans without data store do not show up in the overview chart or in the detailed chart.

See Also

Snapshot/Non-Time Series Views

Zoom Out and Real-Time Data


Replaying Test Results

This function helps to load and replay previous test results as long as it is accessible from the disk. This can be done even when the current test is running.

In this section

Test Results Selection

See Also

Data Store and Replay

Data Store

Overview Control

Comparing Multiple Iterations

Replaying and Comparing Result Groups


Test Results Selection

The test result selection utility allows you to open one test at a time. Each test result is uniquely identified by the test name and the timestamp.

After a test result opens, a summary (view list) loads to the memory and displays. You can pick the relevant views from the test result to replay.

Only one test result can be opened at a time. If you want to load another test result, you have to unload the previously loaded one.

You can select any view from a test result. A list is created with the selected views. More views can be added to this list.

The same view can be selected multiple times and set to show different timespans for comparison purposes.

When a test result is unloaded, the views are not deleted. You can still retrieve them. When a test result is deleted, all the selected views from the test result and corresponding view list are also deleted.

The test result picker dialog is the central place for loading test results and can be used to replay views and to replay/compare individual results from a test run.

In this section

Replaying Views

See Also

Replaying Test Results


Replaying Views

To replay a test result from a running test:

  1. Click the Open Test Results Picker Dialog button in the StatViewer window. The Test Results Selection window opens with Replay Views as the default tab. In the Replay Views tab you can load views from the current test or from the previously saved tests.
  2. Click the Load Current Test option. The Views list is populated with the views from the current test.
  3. Select a group node which has the statistical views directly under it.
  4. Click the >>+ button to transfer the views to the Selected Views list.

    Note: Individual views can be unloaded bu clicking the << button.

The following figure shows the Test Results Selection window with selected views.

See Also

Test Results Selection


Comparing Multiple Iterations

All information related to result sets/result groups (refer to Replaying and Comparing Result Groups) is saved for each test to a separate file, and they are not bound to the test results. When you try to replay/compare result sets/result groups, the corresponding information saved earlier is loaded and used to identify the timestamps that are loaded using the regular replay functionality.

See Also

Data Store and Replay

Data Store

Overview Control

Replaying Test Results

Replaying and Comparing Result Groups


Replaying and Comparing Result Groups

To make use of the test result, the client application can split the result into multiple sections. To this end, the test result is split into result set and result group.

A result set is part of the test results and contains all the results between two timestamps. A result set has a name, a begin time, and an end time.

A result group is a group of result sets or result groups.

Once a result set/result group is created, users can replay it at view level. Multiple result sets/result groups can be replayed in the same view to allow users to quickly compare statistical variations.

In real-time mode, in the chart views, the information related to a result set/result group beginning and end appear as markers.

The result set/result group functionality makes extensive use of data store. If data store is not enabled for a view, then no results are available to replay or compare.

To replay/compare a test result from a running test:

  1. Click the Open Test Results Picker Dialog button in the StatViewer window. The Test Results Selection window displays Replay Views as the default tab.
  2. Click Load Current Test or Load Previous Tests, according to the statistics you want to compare.
  3. Click the Replay/Compare Result Groups tab. This has the same functionality as the replay views mode (refer to Replaying Views).

    Note: THe Test Results Picker dialog is limited to loading results for one test only. If the results for a test are already loaded, you must first unload the respective test and then load a different test.

You can specify the display mode either from the Test Result Picker dialog or from the View Properties window.

In this section

Comparing from Test Result Selection Window

Replaying/Comparing an Iteration Test

See Also

Data Store and Replay

Data Store

Overview Control

Replaying Test Results

Comparing Multiple Iterations


Comparing from Test Result Selection Window

To replay/compare a test result from the Test Result Selection window:

  1. In the Replay/Compare Result Groups pane, select the statistic from the list under View name. The pane below View name is populated with the iterations.
  2. Select one or several iterations.
  3. Click the [image] button. A context menu opens.
  4. Depending on your preferences, click either of the Compare in the same chart or Compare in different charts options.
  5. Click the Close button. After you select the view either from a running test or a saved test, note that in the Statistics window, a new node named Custom is added. You can choose from the list and compare the statistics for that view.
  6. If there is more than one iteration, the Show in different charts option is enabled in the individual View Properties-Appearance-General window.
  7. Right-click Compare view under the Replayed views node.
  8. Click the Properties option from the context menu that opens. The View Properties window opens.
  9. Click the Show in different charts checkbox to compare a particular view in different charts.

    Note: The option to compare in different charts. either from the Test Result Picker dialog or from the View Properties Window, is available only when comparing two iterations. In other cases, the display mode is shown in the same chart.

See Also

Replaying and Comparing Result Groups

Replaying/Comparing an Iteration Test


Replaying/Comparing an Iteration Test

You can replay/compare from one or more available result sets/groups within an existing view (real-time or replayed).

To view the available iterations for a view:

  1. Click the Available Iterations button above the overview control. The pop-up window that opens shows all available iterations for the particular view;
  2. Click OK. A new comparison view displays under the Replayed Views node;
  3. Click the appropriate checkbox.

If the current view displays as a chart, then all of the first 32 statistics are added to the comparison view. If the current view displays as a grid (time-series or filter grid), then only the selected statistics are added to the comparison view.

In case of overlapped markers, the displayed text is “Multiple markers…”. You can click the marker text to open the window that shows all the markers from that point.

The iteration markers also display in the overview control and are not deleted when disabled.

See Also

Replaying and Comparing Result Groups

Comparing from Test Result Selection Window


Run View

The run view feature offers a quick and convenient way to navigate through available iterations. You can also navigate through available iterations using the Test Results Picker dialog or the view-based compare iterations feature. The run view feature is however easier to use and navigate.

The StatViewer window displays a master iterations tree that is automatically populated with the iterations defined for the current test. This helps to navigate through the available iterations in the current real-time test. No additional integration or application effort is required.

While the test is still running, the iteration tree continues to add an iteration after it is over and the next iteration starts. You can click any completed iteration to view the data of that iteration. Once you select a completed iteration, StatViewer displays it in the replay mode and zooms the active StatViewer views and the log window to the selected iteration.

You can go to back to the master iteration view by clicking the Switch to Real-Time mode button on the StatViewer tool bar or the Autoscroll button on the view tool bar.

For grid views, when you select any completed iteration, the value columns for that particular iteration display.

Note: The Run view applies only to StatViewer content and log files..

See Also

Data History

Data Store and Replay

Data Miner

Generating CSV Files


Generating CSV Files

You can generate a .csv file via StatViewer for specific views. You can make this request anytime while a test is running. You can enable or disable CSV generation individually for each StatViewer view and add a .csv file dynamically while a test is running. CSV file generation can handle the statistics that are added or removed from the view while the test is running. You can also specify the frequency of CSV logging on a per-view basis.

To set the CSV properties from the StatViewer main window:

  1. Right-click the group or view for which you want to set the properties.

    If you right-click a group node, you can enable CSV logging directly from the menu. For a group, the Properties option is not available.

    If you right-click a view, you can enable CSV logging either from the menu or by clicking the Properties option.

  2. Click the Properties option. The View Properties window opens.
  3. Select the CSV Logging option from the View Properties window.

You can now enter the CSV logging properties:

  • Enable CSV Logging. Click this checkbox to enable CSV logging for the particular view. This can also be enabled for all views directly from the menu (StatViewer >Options).
  • New CSV on toggle. Click this checkbox to store the data in a new CSV file every time you toggle the Enable CSV Logging option.
  • Polling Interval Multiplier. This field indicates how often the statistics group is collected, in seconds (s), from the Ixia port. Ixia recommends that you set intervals that are no more than 10 percent of the test run time to ensure that enough data is collected to create accurate results. The Polling Interval Multiplier value also affects the amount of time that your application waits at the end of the test to collect final statistics. The Polling Interval Multiplier value must be less than or equal to the total time of the longest running traffic network pair.
  • CSV File Name. In this field you can specify the destination folder where the .csv files are written. You can see the results in the viewer associated with .csv files.

After the properties are set, StatViewer generates .csv files.

See Also

Data History

Data Store and Replay

Run View

Data Miner


Using Event Viewer

An event is any significant occurrence in your application that requires a notification. Your application maintains a log for every event in the Event Viewer. Event Viewer helps you identify and diagnose the problems or predict potential problems. Your Event Viewer also shows QoE Detective Profile events.

The Event Viewer Log appears in the lower portion of your StatViewer window. Events are grouped under the following functions:

  • Log
  • QoE Detective Profile Events
  • All Events

You can click on any of the functions to view detail of events.

In this section

Event Viewer Functions

Dimmed Pop-Up Message

Event Callback Message

Event Viewer Menu Options

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Generating Reports

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


Event Viewer Functions

This section describes the events that appear in the Event Viewer.

In this section

Log

QoE Detective Profile

All Events Tab

See Also

Using Event Viewer

Dimmed Pop-Up Message

Event Callback Message

Event Viewer Menu Options


Log

The Log window has four columns that display by default:

  • Time: Displays the date and time of the event.
  • Severity: Displays the severity of the event. The categories are: Error, Warning, Info, and Debug with corresponding icons to distinguish each category. The categories are explained below.
    • Error: An event that describes a significant problem. For example, an Error event is logged if a service fails to load during startup.
    • Alert: An event that is not necessarily significant, but may indicate the possible occurrence of a future problem. For example, a warning message is logged when disk space starts to run low.
    • Information: An event that describes the successful operation of a task, such as an application, driver, or service. For example, an information event is logged when your application takes successful ownership of the ports.
    • Debug: An event that helps the developer with related information for debugging a problem.
  • Category: Displays the category of the event based on the source of the event.
  • Message: Displays additional information about the event.

Besides the four columns mentioned above, there are two additional columns that display in the Column Chooser dialog. They are:

  • Action: Displays the action that the user has taken in the case of any event. Examples are: AddTraceEvent, AddActiveEvent, UpdatedActiveEvent, and RemovedActiveEvent.
  • Source: This is the source of the event. The source can be the name of another program, the chassis details, and so on.

See Also

Event Viewer Functions

QoE Detective Profile

All Events Tab


QoE Detective Profile

Events for each QoE detective profile, configured in IxLoad, appear under different tabs in your Event Viewer window. The columns displayed for the QoE Detective Profiles depend on the Statistics selected when you configure the QoE Detective Profile.

Apart from the statistics columns, you can also see the following columns:

  • Time: Displays the date and time of the event.
  • Severity: Displays the severity of the event. The categories are: Error, Warning, Info, and Debug with corresponding icons to distinguish each category. The categories are explained below.
    • Error: An event that describes a significant problem. For example, an Error event is logged if a service fails to load during startup.
    • Alert: An event that is not necessarily significant, but may indicate the possible occurrence of a future problem. For example, a warning message is logged when disk space starts to run low.
    • Information: An event that describes the successful operation of a task, such as an application, driver, or service. For example, an information event is logged when your application takes successful ownership of the ports.
    • Debug: An event that helps the developer with related information for debugging a problem.

The number of columns you can see depends on the Max Results entered in the Conditional View Settings window. Alert and Debug events do not show data in the configurable columns, instead they show a message spanning across all the columns.

During the test, when conditions change alerts are displayed and the old events are cleared. The old events are recored in the Log with the reason for removing it from the list. Some changes may even remove an entire tab.

See Also

Event Viewer Functions

Log

All Events Tab


All Events Tab

The All Events tab shows events from all QoE detective profiles. The All Events tab has the following columns:

  • Time: Displays the date and time of the event.
  • Severity: Displays the severity of the event. The categories are: Error, Warning, Info, and Debug with corresponding icons to distinguish each category. The categories are explained below.
    • Error: An event that describes a significant problem. For example, an Error event is logged if a service fails to load during startup.
    • Alert: An event that is not necessarily significant, but may indicate the possible occurrence of a future problem. For example, a warning message is logged when disk space starts to run low.
    • Information: An event that describes the successful operation of a task, such as an application, driver, or service. For example, an information event is logged when your application takes successful ownership of the ports.
    • Debug: An event that helps the developer with related information for debugging a problem.
  • Source: This is the source of the event. The source is the name of the QoE detective profile in which the event is captured in details.
  • Message: Displays information about the event.

See Also

Event Viewer Functions

Log

QoE Detective Profile


Dimmed Pop-Up Message

When a new event occurs, a dimmed pop-up message appears in your application window. Only Error messages appear as dimmed pop-up messages.

See Also

Using Event Viewer

Event Viewer Functions

Event Callback Message

Event Viewer Menu Options


Event Callback Message

You can double-click the log row to display the messages in a separate pop-up window. The following figure shows a callback message for an event that has already occurred.

See Also

Using Event Viewer

Event Viewer Functions

Dimmed Pop-Up Message

Event Viewer Menu Options


Event Viewer Menu Options

The Event Viewer Log has a number of right-click menu options with various functions. They are explained below.

In this section

Floating or Docking the Log Window

Right-Click Menu of Event Viewer Column

Right-Click Menu of Event Viewer Row

See Also

Using Event Viewer

Event Viewer Functions

Dimmed Pop-Up Message

Event Callback Message


Floating or Docking the Log Window

To float or dock the log window:

  1. In the Event Viewer Log section, locate the Log label.
  2. Right-click the Log section. A pop-up menu with two options, Floating and Form, opens. Depending on your preferences, do one of the following:
    1. Click Floating. The Log window appears as a separate floating window in the StatViewer window.
    2. Click Form. A Form window has the advantage of maximizing or minimizing the Event Viewer window. You can also drag the sides to customize the size of the Event Viewer window according to your convenience.
  3. Click Docked to bring back the log window to its original position in the lower portion of the StatViewer window.
  4. Click the Show Log Window option from the View menu or the Show/Hide Log Window button on the tool bar to hide or display the Log window.

See Also

Event Viewer Menu Options

Right-Click Menu of Event Viewer Column

Right-Click Menu of Event Viewer Row


Right-Click Menu of Event Viewer Column

You can perform various functions on the Event Viewer Log columns. They are similar to the grid view right-click options.

The options are described in the following table.

Option

Description

Fit Mode

Click this option to select the following suboptions:

  • Fit to Screen

This option autocalculates the width of all columns and displays them without a horizontal scroll bar. The columns occupy the entire length of the log window.

  • Fit to Columns

This option calculates the width of the columns based on their caption.

Show

Click this option to select the following suboption:

  • Indicator

This option adds an extra column at the far left end of the Event Viewer Log table. An indicator arrow appears in this column when a row is selected/highlighted.

Hide Column

Click this option to hide a column from the Log view. This column name displays in a pop-up dialog called Column Chooser. You can drag it back to the view at any time.

Column Chooser

Click this option to display the pop-up dialog that lists the hidden column names. Drag the column(s) and restore it/them in the view. The columns can be added anywhere in the log window. Columns can also be rearranged according to your preference.

Column Fixed Mode

Click this option to fix the far right or left column.

Click Not Fixed to remove the left or right fix option.

Set to Default

Click this option to revert to the default settings.

See Also

Event Viewer Menu Options

Floating or Docking the Log Window

Right-Click Menu of Event Viewer Row


Right-Click Menu of Event Viewer Row

You can perform various functions on the Event Viewer row.

To access the Event Viewer row context menu:

  1. In the Event Viewer Log window right-click any row. A context menu opens. It includes the following options
    • Save as Text
    • Export
    • Copy
    • Clear
    • Print
  2. Click the relevant option to perform a function.

The context menu options are described in the following table.

Option

Description

Save As Text

Click this option to select the following suboptions:

  • All rows

This option saves the information in all the rows as a text file.

  • Selected row(s)

This option saves the information of the selected row as a text file.

Export

Click this option to export the row information to a binary file.

Copy

Click this option to copy a row or several rows to another file.

Clear

Click this option to clear the content of the log window. You cannot retrieve the cleared events.

Print

Click this option to print the selected rows.

See Also

Event Viewer Menu Options

Floating or Docking the Log Window

Right-Click Menu of Event Viewer Column


SNMP

The Simple Network Management Protocol (SNMP) is a standard device management protocol. It is available on practically any device (for example, printers, routers, switches, and so on). It offers a powerful mechanism for monitoring and configuring devices. StatViewer can monitor the device specific to statistics.

To access the device specific information, the SNMP protocol uses Management Information Base (Mib).

A Mib is a collection of information that is organized hierarchically. The elements of this hierarchical tree are called managed objects or Mib objects. Managed objects are made up of one or more object instances, which are essentially variables.

Different types of devices can publish different types of managed objects and define different branches of the Mib tree.

The integration of the SNMP protocol into StatViewer provides users with the ability to monitor the device status during a test.

This section describes the configuration of the SNMP variables, devices, and database.

In this section

SNMP Variables

SNMP Device

SNMP Mib Database

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

Generating Reports

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


SNMP Variables

This function is used to perform the following actions:

  • Adding a Group: This function is used to add a group. For details, see Adding a Group.
  • Removing a Group: To remove a group, select a group from the SNMP Groups list and click the Remove Group button.
  • Adding a Variable: This function is used to add a variable. For details, see Adding a Variable.
  • Removing a Variable: To remove a variable, select a variable from the SNMP Variables list and click the Remove Variable button.
  • Exporting a Group: After configuring an SNMP group and variables, you can save the configuration to an XML file. This XML file can be added to a new test later on. To save an SNMP configuration to an XML file, click the Export Group button.
  • Importing a Group: To load an XML file for an SNMP configuration, click the Import Group button.

In this section

Adding Variables to a Group

Removing a Group

See Also

SNMP

SNMP Device

SNMP Mib Database


Adding Variables to a Group

The SNMP group is used for systematic organization of SNMP variables.

To create a SNMP group:

  1. Click the Add Group button in the SNMP Configuration window to open the Add Group window.
  2. Enter a group name of your choice in the Group Name field.
  3. Enter an appropriate description in the Description field.
  4. Click OK.
  5. A new node with the group name is created under the SNMP node. You can now proceed to add new variables under the group (For details, see Adding a Variable). After defining several groups and adding variables to each group, optionally save the configuration to an XML file. This XML file can be added to a new test later on.
  6. To save an SNMP configuration to an XML file, click the Save Selected Group to File option.
  7. To load an XML file of SNMP configuration, click the Load Group from File option.

See Also

SNMP Variables

Removing a Group


Removing a Group

To add a variable:

  1. Click Add Variable, to open the Add Variable window.
  2. If you know the OID for the variable that you want to monitor, enter the details. For example, an OID such as 1.3.6.1.2.1.2.2.1.10.1. However, if you are not aware of the variable OID, next to the OID field, click the Browse (...) button to open the SNMP Mib Browser window. Expand the iso folder in the Name column and select a Mib Object in the list in the left pane. The corresponding information for that Mib object automatically appears in the Type, OID, and Description fields in the right pane.
  3. Click OK. This information is added to the Add Variable window.
  4. Click OK to close the Add Variable window. The configured information appears in the SNMP Configuration wizard–SNMP Variables window.

See Also

SNMP Variables

Adding Variables to a Group


SNMP Device

This function is used to define devices (devices connected to chassis ports) that are to participate in a SNMP statistics test. The device information is used by the Test Server to resolve the SNMP statistic variables and define statistic filters.

The SNMP Device context menu has the following options:

  • Add Device. Click this option to add an SNMP device. Refer to Adding an SNMP Device for more information.
  • Delete Device. Click this option to delete an SNMP device. This option is enabled after one SNMP device is created.
  • Edit Device. Click this option to edit the properties of an SNMP device. This option is enabled after one SNMP device is created. Refer to Editing an SNMP Device for more information.
  • Import from File. Click this option to import device details from a saved XML file.
  • Export to File. Click this option to save the device details to an XML file.

In this section

Adding an SNMP Device

Editing an SNMP Device

See Also

SNMP

SNMP Variables

SNMP Mib Database


Adding an SNMP Device

To add an SNMP device:

  1. Click the SNMP Devices tab. The SNMP Devices window opens.
  2. Click Add Device. The Add Device window opens.
  3. In the Device Name field, enter the device name. This name must be unique.
  4. In the Device Host field, enter the IP address of the host.
  5. Select the required option from the Connected to drop-down list.
  6. In the Polling Interval field, enter the polling interval. This sets the polling interval between an SNMP agent and device. It is not related to the Statistics Polling Interval.
  7. In the SNMP Port field, enter the port number.
  8. In the SNMP Community field, enter the password. This specifies the community that is used for SNMP protocol authentication.
  9. In the Description field, enter a short description.
  10. Click OK.

A new device name is added under the Device Name list.

See Also

SNMP Device

Editing an SNMP Device


Editing an SNMP Device

To edit a SNMP device:

  1. Click the SNMP Devices tab. The SNMP Devices window opens;
  2. Click Edit Device. The Edit Device option is enabled only after a device is added to the list. The Edit Device window opens.
  3. In the Polling Interval field, enter the polling interval.
  4. In the SNMP Community field, enter the password. This specifies the community that is used for the SNMP protocol authentication.
  5. In the Description field, enter or edit the description.
  6. Click OK.

The device details are changed using the edited information.

See Also

SNMP Device

Adding an SNMP Device


SNMP Mib Database

The SNMP Mib database configuration tab allows you to install the Mib files. The Mib file contains the device-specific configuration information. The configuration information is later used by the SNMP OID browser to create the Mib tree.

The application comes with a large number of preinstalled Mib files. You must install a new Mib file only if you want to monitor a specific variable (OID), which is included in a Mib file created for that particular device. Otherwise, there is no need to install Mib files separately.

In this section

Installing Mib Database

Uninstalling Mib Database

See Also

SNMP

SNMP Variables

SNMP Device


Installing Mib Database

To install a Mib database:

  1. Click the SNMP Mib Database tab. The SNMP Mib Database window opens;
  2. Here click Install Mib or Install Mib Databases. The first option installs only one Mib file at a time. The second one installs multiple Mib databasese simultaneously;

    Note: All enabled Mibs are used by the SNMP Mib Browser to create the Mib tree. If all of them are unselected, the tree has no branches.

  3. The Install Mib Database dialog window opens;
  4. Select a Mib database file in the corresponding field by clicking the ... button;
  5. Optionally, type a name for the database to install in the Database Name field;
  6. Click OK.

See Also

SNMP Mib Database

Uninstalling Mib Database


Uninstalling Mib Database

To uninstall a Mib database:

  1. Click the SNMP Mib Database tab. The SNMP Mib Database window opens;
  2. Here click Uninstall Mib.

See Also

SNMP Mib Database

Installing Mib Database


Per Session Statistics

Per Session Statistics help to drill down lower-level statistical information. For example, in an Aggregated Statistics Per Protocol Per Port, it is not possible to view or analyze per session statistics individually, when there are multiple sessions per port for a protocol. The Per Session Statistics view helps to view and analyze statistics for each individual session. This helps to have a better control over testing any protocol and analyzing the details.

The Per Session Statistics feature enables you to create special designated views containing detailed information about types of traffic running in specific IxLoad scenarios.

In this section

Drill-Down Views

Per Subscriber Views

See Also

Statistics

Overview

View Functions and Features

Creating Views

Custom View Wizard

Data History

Using Event Viewer

SNMP

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport


Drill-Down Views

Any global aggregated view can be drilled down to get more in-depth information. Drilled-down views can be created both from chart and grid views. Three levels of detail are available:

  • per NetTraffic
  • per Activity
  • per Port

You can drill down from the global level to the NetTraffic level, then to the Activity level, and finally to the Port level. However, it is not mandatory to go through each level, and you can drill down directly, for example, to the Port level via the Drilling Down by Using the Drill-Down Dialog method. Similarly, you can go back to a higher level starting from a low level, such as from the Port level to the NetTraffic level, by using the same method.

In this section

Drilling Down from Global to Port Level

Switching Levels

Limitations

Drill-Down Views Persistence

See Also

Per Session Statistics

Per Subscriber Views


Drilling Down from Global to Port Level

You can drill down from a global aggregated view either by:

  • using the right-click menu of a statistic

or by

  • using the drill-down dialog

In this section

Drilling Down by Right-Clicking a Statistic

Switching Statistics

Grouping by Activity/Port

See Also

Drill-Down Views

Switching Levels

Limitations

Drill-Down Views Persistence


Drilling Down by Right-Clicking a Statistic

From an aggregated global view, you can go to a lower level to get more in-depth information by right-clicking a statistic row.

In this section

Step 1: Global to NetTraffic

Step 2: NetTraffic to Activity

Step 3: Activity to Port

See Also

Drilling Down from Global to Port Level

Switching Statistics

Grouping by Activity/Port


Step 1: Global to NetTraffic

To drill down from the global level to the NetTraffic level:

  1. Right-click any statistic in the view. A context menu opens.
  2. Select the Drill Down per Net Traffic option. An application-defined drill-down view is created in the StatViewer tree. For example, the view drilled down from the HTTP Client-Simulated Users view is HTTP Client-Simulated Users NetTraffic.

The newly-created drill-down view is placed under an application-defined node in the views tree (DrillDownViews).

See Also

Drilling Down by Right-Clicking a Statistic

Step 2: NetTraffic to Activity

Step 3: Activity to Port


Step 2: NetTraffic to Activity

From the NetTraffic drill-down view, you can go deeper to the Activity level.

To create an Activity level drill-down view:

  1. Right-click one of the statistics in the NetTraffic drill-down view.
  2. Select the Drill Down per Activity option from the context menu. The previous NetTraffic level drill-down view is replaced by a new, Activity level one. For example, the view drilled down from the HTTP Client-Simulated Users NetTraffic view is HTTP Client-Simulated Users Activity.

See Also

Drilling Down by Right-Clicking a Statistic

Step 1: Global to NetTraffic

Step 3: Activity to Port


Step 3: Activity to Port

From the Activity drill-down view, you can go deeper to the Port level or go back to the NetTraffic level.

To create a Port level drill-down view:

  1. Right-click one of the statistics in the Activity drill-down view.
  2. Select the Drill Down per Activity option from the context menu.

The previous Activity level drill-down view is replaced by a new, Port level one. For example, the view drilled down from the HTTP Client-Simulated Users Activity view is HTTP Client-Simulated Users Port.

From the Activity level you can go back to the NetTraffic level. To do this, click any statistic in the activity-level drill-down view and choose the Drill Down per NetTraffic option.

From the Port level you can go back to the Activity or NetTraffic level. To do this, click any statistic in the port-level drill-down view and choose either the Drill Down per Activity or the Drill Down per NetTraffic option.

See Also

Drilling Down by Right-Clicking a Statistic

Step 1: Global to NetTraffic

Step 2: NetTraffic to Activity


Switching Statistics

To switch the statistic, in the Drill Down dialog, select a different statistic in the Select Statistic list of available stats. At this point, you change only the statistics you want to view, while remaining at the same level of detail.

When another statistic is selected in the drill-down dialog, the views tree root is also updated with the new choice.

See Also

Drilling Down from Global to Port Level

Drilling Down by Right-Clicking a Statistic

Grouping by Activity/Port


Grouping by Activity/Port

In the Drill Down dialog, you can choose to group the levels of detail either in the NetTraffic>Activity>Port order or as NetTraffic>Port>Activity. To do this, select the Grouped by Activity or Grouped by Port option. The selection tree is updated accordingly.

See Also

Drilling Down from Global to Port Level

Drilling Down by Right-Clicking a Statistic

Switching Statistics


Switching Levels

While at a given level of detail, the Drill Down dialog allows you to go directly to any level of detail without the express need to go through next-level steps. This cannot be achieved via the Drilling Down by Right-Clicking a Statistic method.

You can switch from a given drill-down level using the tree selector. For example, if you are currently at the NetTraffic level and want to view the “FTP Control Bytes Received” statistics per port, select the Activity node. Click OK to close the drill-down dialog and generate the FTP Control Bytes Received per port” view.

You can also go up directly from the Port level to the NetTraffic one. In this case, in the drill-down dialog, the Activity node is selected by default. Select the root (statistic) level and click OK. For example, if you start from the “Rx Rate Per Port” drill-down view, by going up as indicated, this view is replaced by the “RxRate Per NetTraffic” one.

See Also

Drill-Down Views

Drilling Down from Global to Port Level

Limitations

Drill-Down Views Persistence


Limitations

The number of drill-down views is limited. When the maximum number of views is reached, a dialog opens, prompting you to replace one of the existing views with a new one.

To replace a view:

  1. Chose one of the statistics in the list;
  2. Click OK.

See Also

Drill-Down Views

Drilling Down from Global to Port Level

Switching Levels

Drill-Down Views Persistence


Drill-Down Views Persistence

Per Session drill-down views content is not persisted. Only the Presentation settings are persisted at user level. As a result, if the same drill-down view is created, with the same name, the Presentation settings are reloaded.

See Also

Drill-Down Views

Drilling Down from Global to Port Level

Switching Levels

Limitations


Per Subscriber Views

The Per Subscriber view is a filter view created by the IxLoad application. This view cannot be drilled down any further and only the filtering/sorting criteria can be modified here.

Initially, the view is empty, and it is populated with statistics after a filtering/sorting criterion is chosen.

To change the filtering/sorting criterion, click the Filter/Sort drop-down menu. The Profiles window opens, as shown in the following figure.

Note:The Filter/Sort dialog becomes available immediately after configuring the test itself in IxLoad's Test Configuration window and finishing applying the configuration. To start applying the configuration, click the Apply Config button.

Here you can define a sorting/filtering profile. When the Profiles window opens, the last applied profile is loaded by default.

A filtering or sorting profile includes all the statistics filtering/sorting settings needed to refine the filtering/sorting process.

Default profiles can be modified and applied, but cannot be deleted or overwritten on the disk. If willing to keep a modified default profile, you must rename and save it.

If you modify one of the existing custom profiles and try to switch to another one (either default or custom), the dialog shown in the following figure opens.

If you select one of these profiles and start changing the settings, an information icon appears, warning you that the profile cannot be saved or deleted. You can save the modified profile by clicking the Save as... button.

To save a profile in a location of your choice, click the Export button.

To load a profile from a specific location, click the Import button.

To clear all sorting/filtering conditions applied to the view, click the Clear button.

To add a new profile or delete an existing one, click the Add or Delete button respectively.

The Data polling interval option allows you to choose the interval at which the data is updated.

By default, the view is auto-updated at the interval specified by the Data polling interval option. If you deselect the Auto Update checkbox, the Data polling interval option is disabled and the view is no longer updated, showing the data only up to the moment the checkbox was deselected.

If the checkbox is not selected when the Profiles window opens, the view displays the first set of data it receives, without updating itself with subsequent information.

The auto update option is also available on the view tool bar. Enabling/disabling it from the view tool bar causes the profile to be marked as modified.

In the Max results field, you can select the maximum number of statistics to display. The default value is 50.

The Profiles window includes two tabs:

  • the Filter/Sort tab
  • the Presentation tab

In this section

Filter/Sort Tab

Presentation Tab

Total Count Display

Profiles Persistence

Per Subscriber View Persistence

See Also

Per Session Statistics

Drill-Down Views


Filter/Sort Tab

In the Topology pane, you can choose to view the statistics from one or more ports. To identify specific ports, click the corresponding NetTraffic/Activity item. By default, all statistics nodes are selected. If you right-click any of the nodes, a context menu displays the Unselect all subnodes option. If the nodes are deselected, this option turns to Select all subnodes.

These options are useful when handling a large number of ports. Thus, you can right-click one activity and select/deselect all ports.

When multiple ports are selected and the chosen statistics are not supported by all selected ports, the following happens:

  • If the statistics are part of the filtering/sorting criteria in the Filter/Sort tab, the ports that do not support this type of statistics are filtered as well, but they have empty columns

In the Sorting pane, you can select particular statistics as the sorting criteria, as well as the sorting method (ascending/descending; best/worst performers), depending on the type of application-defined statistic.

When you click the Ascending link, a drop-down menu displays, allowing you to sort by showing the best/worst performers or ascending/descending, depending on the type of statistic.

Note: Make sure you select the Enable Sorting checkbox before going on to choose the sorting criteria. If the checkbox is not selected, the sorting criteria are dimmed.

In the Filtering pane, you can filter the statistics using complex conditions. By default, no filter is defined and you must click the “+” button to add a new one.

Note: Make sure you select the Filter by statistic checkbox before going on to choose the filtering criteria. If the checkbox is not selected, the filtering criteria are dimmed.

You must first select a statistic from the tree to filter by. Click the default statistic link. It is the first statistic in the Global Conditional parent node. Depending on the conditional view type set in the Test Configuration, the default statistic can be User ID or VLAN ID.

The available statistics tree displays, allowing you to choose the statistic to use as filter.

Select the statistic, then click OK to close the statistics tree and add the statistic as a filtering condition. To change the statistic to filter by, click it. The available statistics tree displays again.

Go on to select the logical operator between the simple conditions, such as, for instance, Stat1 < 10 AND Stat2 > 5.

Click the And link. A drop-down menu appears, allowing you to select the logical operator from one of the following:

  • And
  • Or
  • Not And
  • Not Or

You can disable some conditions without deleting them. For instance, in a specific situation, you may want to relax the complex condition in order to view more results for that run alone. As a result, there is no need to delete the condition from the profile. To enable/disable a condition, select the corresponding condition checkbox, as shown in the following figure.

Go on to select the simple condition operator. Depending on the type of statistic, two sets of operators can be selected.

  1. For Counter type statistics, the following operators are available:
  • Is smaller than
  • Is equal or smaller than
  • Is different than
  • Is greater than
  • Is equal or greater than
  • Is Between
  • Equals with
  1. For IP type statistics, the following operators are available:
  • Is like
  • Is not like

Next, set the value to use with the operators. The default starting value is 0.

You can also filter by IP mask. Both IPv4 and IPv6 addresses are supported. To add an IP mask as a filtering condition, select the relevant statistic in the statistics tree.

Note: The filtering option is available only for IP-type statistics.

Then click the IP address and an IP mask to edit them.

See Also

Per Subscriber Views

Presentation Tab

Total Count Display

Profiles Persistence

Per Subscriber View Persistence


Presentation Tab

In this tab you can select the statistics to view in the Per Subscriber view. The number of items (number of statistics * number of results) is limited to 2000. When exceeded, a warning displays.

The left-hand tree contains all available statistics, as shown in the figure below. The statistics used in the Filter/Sort tab are read-only, display with a different color, and cannot be removed in the Presentation tab. You can select other statistics in the test to scale to with respect to the condition defined within the Filter/Sort tab.

To add or remove the desired statistics, choose one of the following:

  • Right-click them and Copy and Paste them in the Selected Stats pane.
  • Click the >> button to transfer them to the Selected Stats pane on the right. You can revert the selected statistics to the left-hand tree by clicking the << button.
  • Use the Ctrl+C and Ctrl+V shortcuts to transfer them to the Selected Stats pane.

The Group/Statistic pane displays the statistics groups, if any. They are saved in the profile and can be modified only from the view. For further information on statistics groups, see Grouping Stats in Non Time Series Grid Views

To apply the filtering/sorting criteria, click the OK button in the Profiles window.

See Also

Per Subscriber Views

Filter/Sort Tab

Total Count Display

Profiles Persistence

Per Subscriber View Persistence


Total Count Display

When a filtering condition is set, the number of retrieved rows depends on it. When that filtering condition is set, the total count of the rows displays to a certain limit.

See Also

Per Subscriber Views

Filter/Sort Tab

Presentation Tab

Profiles Persistence

Per Subscriber View Persistence


Profiles Persistence

The profiles are persisted only at user level. All properties, except for the Topology, are persisted within the profile.

See Also

Per Subscriber Views

Filter/Sort Tab

Presentation Tab

Total Count Display

Per Subscriber View Persistence


Per Subscriber View Persistence

The content of the Per Subscriber view is not persisted. Only the Presentation tab settings are persisted at user level.

See Also

Per Subscriber Views

Filter/Sort Tab

Presentation Tab

Total Count Display

Profiles Persistence


Network Diagnostics

Note: To access this functionality, you must first select the Enable Network Statistics checkbox in the Test Options window of IxLoad's Test Configuration page. For information on the Test Options, see the IxLoad User Guide.

After enabling the aforementioned checkbox in IxLoad, a Network Overview non-paging, aggregated view is created under the Views node. Starting from this aggregated view, you can drill down to the Per Session or Per Range level or create views by using the Filter/Sort drill-down menu present in it.

To create drill-down views:

  1. Go directly from the aggregated view to the Per Range level or
  2. Start by creating a Per Session view from the parent aggregated Network Diagnostics view
  3. Go on to drill down this view to the Per Range level.

In this section

Drilling Down to Per Session Level

Drilling Down to Per Range Level

Drilling Down via Filter/Sort Menu

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

Generating Reports

SNMP

Per Session Statistics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


Drilling Down to Per Session Level

To drill down from an aggregated Network Overview view to the Per Session level, use either of the two methods described in this section.

In this section

Drilling down by right-clicking a statistic

Drilling Down via the Filter/Sort Menu

See Also

Network Diagnostics

Drilling Down to Per Range Level

Drilling Down via Filter/Sort Menu


Drilling down by right-clicking a statistic

To drill down from the global level to the Per Session level via the right-click menu:

  1. Right-click a statistic in the view. A context menu opens.
  2. Choose the DrillDown Per Session option. The new view is created.

Starting from this level, you can further drill down to the Per Range level. To do this, use either the right-click menu, or the Filter/Sort drop-down menu, which is the same as that in the parent Network Overview view.

To drill down from the Per Session level to the Per Range level via the right-click menu:

  1. Click a session in the created Per Session view. A context menu opens.
  2. Click the DrillDown Per Range option. The new PerRange drilled-down view is created. It shows only the range containing the session clicked at step 1.

For information on how to drill down from the global aggregated view to the Per Range level, see Drilling Down to Per Range Level.

For information on how to use the Filter/Sort drop-down menu, see Drilling Down via filter/Sort Menu.

See Also

Drilling Down to Per Session Level

Drilling Down via the Filter/Sort Menu


Drilling Down via the Filter/Sort Menu

To drill down from the global level to the Per Session level via the Filter/Sort menu:

  1. Click the Filter/Sort drop-down menu on the tool bar of the Network Overview view. A dialog window opens.
  2. Click OK. The drill-down view is created.

See Also

Drilling Down to Per Session Level

Drilling down by right-clicking a statistic


Drilling Down to Per Range Level

To drill down from an aggregated Network Overview view to the Per Range level, use either of the two methods described in this section.

In this section

Drilling down by right-clicking a statistic

Drilling Down via the Filter/Sort Menu

See Also

Network Diagnostics

Drilling Down to Per Session Level

Drilling Down via Filter/Sort Menu


Drilling down by right-clicking a statistic

To drill down to the Per Range level via the right-click menu:

  1. Right-click a statistic in the view.
  2. A context menu displays.
  3. Choose the DrillDown Per Range option.

    The new view is created.

See Also

Drilling Down to Per Range Level

Drilling Down via the Filter/Sort Menu


Drilling Down via the Filter/Sort Menu

To drill down from the global level to the Per Range level via the Filter/Sort menu:

  1. Click the Filter/Sort drop-down menu on the tool bar of the Network Overview view.

    A dialog window opens.

  2. Click OK.

    The drill-down view is created.

See Also

Drilling Down to Per Range Level

Drilling down by right-clicking a statistic


Drilling Down via Filter/Sort Menu

Starting from the global Network Overview aggregated view or from the drilled-down view, you can select to sort and filter the results. To this end, you can use the Filter/Sort drop-down menu present in either of these views on the grid view tool bar.

In this section

Profiles Dialog

See Also

Network Diagnostics

Drilling Down to Per Session Level

Drilling Down to Per Range Level


Profiles Dialog

To access the Filter/Sort dialog functionality:

  1. Select the protocol in the Network Diagnostics view.
  2. Click the Filter/Sort drop-down menu on the Network Overview or drill-down grid view tool bar.
  3. A dialog window opens. Here you can define a sorting/filtering profile.

When the Profiles window opens, the last applied profile is loaded by default.

A filtering or sorting profile includes all the statistics filtering/sorting settings needed to refine the filtering/sorting process.

Default profiles can be modified and applied, but cannot be deleted or overwritten on the disk. If willing to keep a modified default profile, you must rename and save it.

When a profile is selected, its settings are automatically loaded in the Profiles window. The profile can be modified by changing the settings within it. When a profile is modified, an exclamation mark appears next to the profile name, informing you that you are not applying the original profile, but a modified one. You can save the modified profile by clicking the Save or Save As… button.

If you modify a profile and then select another one or close the Profiles dialog by clicking the OK button, a dialog box appears, asking you whether you want to save the profile.

To save a profile in a location of your choice, click the Export button.

To load a profile from a specific location, click the Import button.

To add a new profile or delete an existing one, click the Add or Delete button respectively.

The Data polling interval option allows you to choose the interval at which the data is updated in the views created using this profile.

If the checkbox is not selected when the Profiles window opens, the view displays the first set of data it receives, without updating itself with subsequent information.

The auto update option is also available on the view tool bar. Enabling/disabling it from the view tool bar causes the profile to be marked as modified.

In the Max results field, you can select the maximum number of statistics to display. The default value is 50.

Note: The Max results field is active only if the filtering or sorting options are enabled.

You can select to drill down either to the Per Range level or to the Per Session level by clicking the corresponding Drill-Down Per Range or Drill-Down Per Session radio button.

The Profiles window includes the Filter/Sort tab and the Presentation tab.

In this section

Filter/Sort Tab

Presentation Tab

Total Count Display

Profiles Persistence

See Also

Drilling Down via Filter/Sort Menu


Filter/Sort Tab

The Filter/Sort tab includes three panes:

  • Topology
  • sorting
  • filtering

In this section

Topology

Sorting

Filtering

See Also

Profiles Dialog

Presentation Tab

Total Count Display

Profiles Persistence


Topology

Depending on the selected drill-down options (Drill-Down Per Session or Drill-Down Per View), in the Topology pane, you can choose to view the statistics from one or more ports.

To identify specific ports, click the corresponding Network/Protocol item. By default, all statistics nodes are selected. If you right-click any of the nodes, a context menu displays the Unselect all subnodes option. If the nodes are deselected, this option turns to Select all subnodes.

These options are useful when handling a large number of ports. Thus, you can right-click one protocol item and select/deselect all ports.

See Also

Filter/Sort Tab

Sorting

Filtering


Sorting

In the Sorting pane, you can select particular statistics as the sorting criteria, as well as the sorting method (ascending/descending; best/worst performers), depending on the type of application-defined statistic.

To use the sorting functionality:

  1. Start by selecting the Enable Sorting checkbox to enable the sorting feature.
  2. Go on to select a particular statistic by clicking the link next to the Sort results by option. A window opens, listing all available statistics.
  3. Click the link next to the Show option. A drop-down menu displays, allowing you to sort by showing the best/worst performers or ascending/descending, depending on the type of statistic chosen at the previous step.

    Note: Make sure you select the Enable Sorting checkbox before going on to choose the sorting criteria. If the checkbox is not selected, the sorting criteria are dimmed..

See Also

Filter/Sort Tab

Topology

Filtering


Filtering

In the Filtering pane, you can filter the statistics using complex conditions. By default, no filter is defined and you must click the “+” button to add a new one.

Note: Make sure you select the Filter by statistic checkbox before going on to choose the filtering criteria. If the checkbox is not selected, the filtering criteria are dimmed.

To use the filtering functionality:

  1. Start by selecting a statistic to filter by. Click the default statistic link.
  2. The available statistics tree window opens, allowing you to choose the statistic to use as a simple condition.
  3. Select the statistic, then click OK to close the statistics tree and add the statistic as a simple condition. To change the statistic to filter by, click it. The available statistics tree window opens again.
  4. Go on to select the logical operator between the simple conditions, such as, for instance, Stat1 < 10 AND Stat2 > 5.
  5. Click the And link. A drop-down menu becomes available, allowing you to select the logical operator from one of the following:
    • And
    • Or
    • Not And
    • Not Or

      You can disable some conditions without deleting them. For instance, in a specific situation, you may want to relax the complex condition in order to view more results for that run alone. As a result, there is no need to delete the condition from the profile. To enable/disable a condition, select the corresponding condition checkbox.

  6. Go on to select the simple condition operator. Depending on the type of statistic, two sets of operators can be selected.
    • For Counter type statistics, the following operators are available:
      • Is smaller than
      • Is equal or smaller than
      • Equals with
      • Is different than
      • Is greater than
      • Is equal or greater than
      • Is Between
    • For IP type statistics, the following operators are available:
      • Is like
      • Is not like
  7. Next, set the value to use with the operators. The default starting value is 0.

    You can also filter by IP mask. Both IPv4 and IPv6 addresses are supported.To add an IP mask as a filtering condition, select the relevant statistic in the statistics tree.

    This filtering option is available only for IP-type statistics

  8. Then click the IP address and IP mask to edit them.
  9. To apply the filtering/sorting criteria, click the OK button in the Profiles window.

See Also

Filter/Sort Tab

Topology

Sorting


Presentation Tab

In this tab you can select the statistics to show in the drilled-down view. The number of items (number of statistics * number of results) is limited to 100,000. When exceeded, a warning appears.

The left-hand tree contains all available statistics. The statistics used in the Filter/Sort tab are read-only, display with a different color, and cannot be removed in the Presentation tab. You can select other statistics in the test to scale to with respect to the condition defined within the Filter/Sort tab.

To add or remove the desired statistics, choose one of the following:

  1. Right-click them and Copy and Paste them in the Selected Stats pane.
  2. Click the >> button to transfer them to the Selected Stats pane on the right. You can revert the selected statistics to the left-hand tree by clicking the << button.
  3. Use the Ctrl+C and Ctrl+V shortcuts to transfer them to the Selected Stats pane. The Group/Statistic pane displays the statistics groups, if any. They are saved in the profile and can be modified only from the view. For further information on statistics groups, see Grouping Stats in Non Time Series Grid Views.
  4. To apply the filtering/sorting criteria, click the OK button in the Profiles window.

In this section

Adding/Removing Statistics in PresentationTab

See Also

Profiles Dialog

Filter/Sort Tab

Total Count Display

Profiles Persistence


Adding/Removing Statistics in PresentationTab

To add or remove the desired statistics, choose one of the following:

  1. Right-click them and Copy and Paste them in the Selected Stats pane.
  2. Click the >> button to transfer them to the Selected Stats pane on the right. You can revert the selected statistics to the left-hand tree by clicking the << button.
  3. Use the Ctrl+C and Ctrl+V shortcuts to transfer them to the Selected Stats pane. The Group/Statistic pane displays the statistics groups, if any. They are saved in the profile and can be modified only from the view. For further information on statistics groups, see Grouping Stats in Non Time Series Grid Views.
  4. To apply the filtering/sorting criteria, click the OK button in the Profiles window.

See Also

Presentation Tab


Total Count Display

When a filtering condition is set, the number of retrieved rows depends on it. The total count of the rows satisfying that filtering condition displays when a sorting criterion is set to sort to a certain limit. The total count displays in the status bar, as shown in the following figure.

See Also

Profiles Dialog

Filter/Sort Tab

Presentation Tab

Profiles Persistence


Profiles Persistence

The profiles are persisted on the user machine. All the settings configured in the Filter/Sort dialog are saved, except for the topology.

See Also

Profiles Dialog

Filter/Sort Tab

Presentation Tab

Total Count Display


Frame Size Distribution Statistics

The Frame Size Distribution statistics track all incoming/outgoing frames. For example, packets coming on Rx ports from a traversed switch are counted.

In the case of broadcast packets, which have been cloned to all interfaces created per port, the Frame Size data does not count the cloned packets, because there is actually only one real packet that arrives on the physical port (for example, ARP packets).

The frame size distribution statistics populate the L2-3 Frame Size Distribution for Client Ports and L2-3 Frame Size Distribution for Server Ports views.

The statistics in these views are part of the application-generated statistics in the Defaults group node.

The following frame size distribution statistics are available in both the L2-3 Frame Size Distribution for Client Ports and the L2-3 Frame Size Distribution for Server Ports views:

  • CPU Rx Frame Size less than 64
  • CPU Rx Frame Size 64 to 127
  • CPU Rx Frame Size 128 to 255
  • CPU Rx Frame Size 256 to 511
  • CPU Rx Frame Size 512 to 1023
  • CPU Rx Frame Size 1024 to 2047
  • CPU Rx Frame Size 2048 to 4095
  • CPU Rx Frame Size 4096 and above
  • CPU Tx Frame Size less than 64
  • CPU Tx Frame Size 64 to 127
  • CPU Tx Frame Size 128 to 255
  • CPU Tx Frame Size 256 to 511
  • CPU Tx Frame Size 512 to 1023
  • CPU Tx Frame Size 1024 to 2047
  • CPU Tx Frame Size 2048 to 4095
  • CPU Tx Frame Size 4096 and above

In peer-to-peer (P2P) scenarios (for example, VoIP-SIP or Stateless peers), the Frame Size Distribution mechanism cannot determine the client/server role of the peers. Thus, the same statistics appear in both the Frame Size Distribution Client Ports and the Frame Size Distribution Server Ports views.

Note: While running in 1G Aggregated mode, if no active port is selected, a warning appears (for example, 'Traffic@Network1: Frame size distribution statistics may not be accurate without an active port selected in 1G Aggregated mode.')

To have frame size distribution statistics exposed in StatViewer, in the IxLoad Test Configuration >Test Options>Statistics pane, select the Enable Frame Size Distribution Stats checkbox. It is disabled by default.

Note: Frame Size Distribution statistics (and the views including them) become available in StatViewer only with IxOS 5.60 and above and the following load modules:

  • ALM T8
  • ALM-T8-1GB
  • ELM-1G
  • IxYukon - NP2
  • ASM XMV12
  • ASM XMV12X-RTP
  • LSM XMV16
  • XMV
  • Acceleron NP/XP

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

Generating Reports

SNMP

Per Session Statistics

Network Diagnostics

QoE/VideoSupport

DDoS Statistics


QoE/VideoSupport

You can view the statistics for a the IxLoad QoE/ test in the Statistics pane, once you create the configuration in IxLoad and run it.

In this section

Generate and View QoE/Video Support Statistics

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

Generating Reports

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

DDoS Statistics


Generate and View QoE/Video Support Statistics

You can generate and view the QoE/Video Support statistics in IxLoad.

To view QoE/Video Support statistics:

  1. Create or open a new traffic flow.
  2. On the Test Options pane, select the traffic flow for which you want to view the QoE/video support statistics. This button is available in Home tab.
  3. At video activity level, select the Settings tab and from here go to Statistics Option.
  4. Under Quality Metrics section, select the Enable check box.
  5. On the Test Options pane, select Test Options.
  6. On the Statistics pane, select Enable QoE Detective check box.
  7. Select any of the following options and choose a profile for as described in the table:
    • Per User
    • Per IP
    • Per VLAN

      QoE Detective Profile

      Description

      Video Multicast

      Real time IGMP multicast statistics

      Video Stream Jitter

      Monitors Streams with jitter greater than 1 ms

      Video Stream Loss

      Monitors streams MDI MLR greater than 0

      Video Stream Status

      Real time stream status with network and transport metrics

      Video VoD

      Real time RTSP control plane statistics

      VQ Analysis Basic

      Video basic quality analysis

      VQ Frame Analysis

      video quality frame analysis

  8. Click [image] to run the test.
  9. On the Statistics pane, select the categories for which you want to view the statistics, under QoE Detective Profiles head, as shown in the following figure.

Note:

  • You can generate a report for the statistics from the reporter menu, using the reporter wizard or by using saved options.
  • To generate an advanced video report, you must select the Per User option only and also select Stream Summary Report

See Also

QoE/VideoSupport


DDoS Statistics

 Ixia StatViewer IxLoad 5.4 Help

Previous Topic

Next Topic

TCL CSV Support for StatViewer Views

With the introduction of Scriptgen, which includes the new TCL package 'IxLoadCsv'; the DDOSv2, GTPv1 and GTPv2, HTTP paging views, Video snapshot QOE views, L2-3 Client/Server Stats, and Port CPU default views will have an option to generate TCL scripts automatically.

In this section

Generate TCL CSV Support for StatViewer Views

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport


Generate and View QoE/Video Support Statistics

 Ixia StatViewer IxLoad 6.0 Help

Previous Topic

Next Topic

Generate TCL CSV Support for StatViewer Views

You can generate and view the TCL CSV API in IxLoad.

To view TCL CSV Support:

  1. Create or open a new traffic flow.
  2. Click on the Home tab.
  3. Select the Scriptgen option on the menu bar.
  4. Mention a name in the Output File Name field.
  5. Select Use IxLoadCSV Package option to get StatViewer views in the result folder.
  6. Enable any of the check boxes to get the output.
  7. Select the Generate Script option to generate the TCL CSV script.

The following image shows the screen from where you can generate the Scriptgen option:

Note:

  • You can generate a script even without selecting the Include Stats option.
  • You can generate the script for CSV API with any of the options available under the IxLoad Package Options.
  • You can also generate the script with either of the Configuration Default and Objective Script Options.
  • The views that support this are DDOSv2, GTPv1 and GTPv2, HTTP paging views, Video snapshot QOE views, L2-3 Client/Server Stats, Port CPU default views.

See Also

TCL CSV Support for StatViewer Views


Chart View

The chart view displays statistics in a chart format. Some charts display without an associated timestamp. For example, the pie and bar charts and the filter grid display a snapshot of the latest values. These view types are called the non-time series view. There is also a time series chart view. The figure below shows the two chart view types.

Note: Each chart view can include a maximum number of 32 statistics. Consequently, when you need to have more than 32 statistics displayed, make sure to switch to the grid view in order to view all the statistics.

In this section

Defining Chart View Controls

Chart View Right-Click Menu

Displaying Specific Statistics in a View

Displaying Statistical Values

Using the Sliders

See Also

Displaying Views

Selecting Statistics to Display

Managing View Appearance

Global Settings for Chart and Grid View

Grid View


Setup Views

The Setup Views is an important tool for managing groups, views, and statistics. Setup Views makes it easier to use the following functions:

  • Adding statistics to an existing or new view
  • Removing statistics or a view
  • Copying statistics or a view
  • Importing and exporting a view
  • Saving a view as a template
  • Enabling or disabling statistics
  • Specifying properties for statistics

In this section

Opening Setup Views Dialog

Managing Views and Statistics

Creating and Managing Alerts

See Also

Creating Views

Adding a Custom Graph

Saving Views as Templates


Generating Reports

Reporter is a common framework that is used by many Ixia software applications. The Reporter framework does not own the data. It is the application that provides data to the reporter. The application also provides instructions to the reporter to generate different kinds of reports. The Reporter framework has been integrated with StatViewer CSV. This enhancement of Reporter allows it to import .csv files generated by StatViewer.

To access the Reporter:

  1. On the application's menu bar, click the Reporter option.
  2. The Reporter drop-down menu opens. It has four options
    • Generate Report (Using Saved Options)
    • Generate Report (Wizard)
    • Manage Reports
    • Options

In this section

Generating Report by Using Saved Options

Generating Report Through Wizard

Export to Test Results

Managing Reports

Specifying Report Options

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

SNMP

Per Session Statistics

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


Generating Report by Using Saved Options

This feature helps to generate a quick report for the current test. The report is generated using the already saved user preferences. The generated report is saved in the test folder if no other alternate location is used.

To generate a report using saved options:

  • From the Reporter menu, click the Generate Report (Using Saved Options) option.

While the reporter processes the report request, a progress bar displays. The progress bar indicates the approximate amount of work completed by the reporter. It also indicates the time required to complete the request or the remaining work. The following figure shows a sample report generation progress bar:

After the process is complete, the report displays in HTML or PDF format, as selected from from Reporter->Options->Format.

You can stop the process at any time by clicking the Cancel button.

See Also

Generating Reports

Generating Report Through Wizard

Export to Test Results

Managing Reports

Specifying Report Options


Generating Report Through Wizard

You can also generate the report via a wizard. The Report wizard walks you through a series of actions by asking questions or requesting input from you. It then uses the results to create a command to call the Reporter. The Reporter then generates the report using the specified command options.

To generate a report via the wizard:

  1. From the Reporter menu, click the Generate Report (Wizard) option.
  2. Choose to generate a test either from the current test, by clicking the Current Test option or from a previously saved test, by clicking the Saved Test option.
  3. If you select Saved Test at step 2:
    1. The Generate Report for Saved Test-Select Test window opens;
    2. Navigate through the list and select the test from the Results folder;
    3. By default, the tests are saved in the specified path. The selected location of the saved test is maintained. The next time you click the Saved Test option, by default, the folder browser points to the previously saved location.
  4. If you select Current Test at step 2:
    1. The Generate Report for Saved Test-Select Report window opens;
    2. Click Next. A list of all the reports in this window appears. If any images were exported from StatViewer during the test, they are listed here;
    3. Select the report and click Next. The Generate Report for Saved Test (3 of 4)-StatViewer Exported Images window opens.
    4. Optionally, browse through images and add them to your report.
    5. After you select an image, click the Add button. The selected images are saved in the currently selected test folder. If this report is run again in the future, the image list can be used automatically. Reporter supports the following image formats:
    • bmp
    • gif
    • jpeg
    • emf
    • wmf
    • png

      Note: It is not necessary for a report to have images. You can skip this page if you do not want to add any images.

  5. After you have selected the images that you want to include in your report, click Next;
  6. The fourth window in the wizard, Specify Report Output Location, opens;
  7. Click Browse and select a location where you want the report to be saved.
  8. Click Finish.

After the wizard window closes, the report generation process starts. After the it icompletes, the report displays in HTML or PDF format. You can select the format from Reporter->Options->Format.

See Also

Generating Reports

Generating Report by Using Saved Options

Export to Test Results

Managing Reports

Specifying Report Options


Managing Reports

This window lists the currently available reports and the individual sections within those reports. You can modify the title and descriptions of the reports and sections. You can also add existing sections to the custom reports.

To manage reports:

  1. From the Reporter menu, click the Manage Reports option;
  2. The Manage Reports window opens. Here you can view a list of the currently available reports and their respective sections.

In this section

Custom Reports

Available Sections

See Also

Generating Reports

Generating Report by Using Saved Options

Generating Report Through Wizard

Export to Test Results

Specifying Report Options


Custom Reports

The Custom Reports column lists user-defined custom reports. You can modify the Title and Description of these reports and sections.

You can also add sections to the custom report by clicking the reports from the list in the Available Sections. Sections can be added or removed only from user-defined reports by clicking the Add/Remove button.

See Also

Managing Reports

Available Sections


Available Sections

The Available Sections list contains application-defined reports and their sections. These sections can be added to the custom-defined reports. There are two levels in this list. The second level is indented from the first level. The first level stands for the application-defined reports and the second level represents the sections contained in those reports.

When the title or description is modified on the first level, it overrides the title or description of the application-defined report. When the title or description is modified on the second level, it overrides the values for these sections when included in the selected user-defined report.

When you modify the default title or description of an available section that is not included in the custom report, it is automatically added to it and the checkbox is selected automatically.

After making your selections, click Finish.

See Also

Managing Reports

Custom Reports


Specifying Report Options

The Options menu has the following submenus:

  • Modify Global Options
  • Auto Generate Report When Test Stops
  • Format

See Also

Generating Reports

Generating Report by Using Saved Options

Generating Report Through Wizard

Export to Test Results

Managing Reports


Data Store

Data Store allows the ongoing test to save data on the disk for future replay or query. The test requires a folder in order to save data. This folder is the test result path.

The Data Store option can be enabled at test level, at view level, or by right-clicking a view in the view tree. You can set this option via the StatViewer Options>Options>Test Options tab.

If this option is enabled, StatViewer writes a statistical value in binary format for all test results in a view. The test result is converted into a binary array and written to a file.

The change in statistical information, that is, the addition and deletion, is also saved into some other file. This is done to convert the binary data back to a format understandable by the test. This statistical change list is also maintained in Data Store.

The statistical values are saved if the test-level datastore option and/or the view-level datastore options are enabled. If both are disabled, then only the change lists are stored.

Viewing log information is also very important for data store. Addition and deletion of views are critical information for the applications.

In this section

Data Store at Test Level

Data Store at View Level

Data Store in View Tree Menu

See Also

Data Store and Replay

Overview Control

Replaying Test Results

Comparing Multiple Iterations

Replaying and Comparing Result Groups


Presentation Tab

In this tab you can select the statistics to show in the drilled-down view. The number of items (number of statistics * number of results) is limited to 2000. When exceeded, a warning appears, as shown in the following figure.

The left-hand tree contains all available statistics. The statistics used in the Filter/Sort tab are read-only, display with a different color, and cannot be removed in the Presentation tab. You can select other statistics in the test to scale to with respect to the condition defined within the Filter/Sort tab.

To add or remove the desired statistics, choose one of the following:

  1. Right-click them and Copy and Paste them in the Selected Stats pane.
  2. Click the >> button to transfer them to the Selected Stats pane on the right. You can revert the selected statistics to the left-hand tree by clicking the << button.
  3. Use the Ctrl+C and Ctrl+V shortcuts to transfer them to the Selected Stats pane. The Group/Statistic pane displays the statistics groups, if any. They are saved in the profile and can be modified only from the view. For further information on statistics groups, see Grouping Stats in Non Time Series Grid Views.
  4. To apply the filtering/sorting criteria, click the OK button in the Profiles window.

In this section

Adding/Removing Statistics in PresentationTab

See Also

Profiles Dialog

Filter/Sort Tab

Total Count Display

Profiles Persistence


Data Miner

The data miner provides a comprehensive view of the tests executed by the Ixia application and of their results. It allows the users to list, search, filter, and sort the test runs, as well as navigate the test results.

After running a test in your application, click the Data Miner tab in your application window.

Note the two nodes on the left side of the Data Miner window: Configurations and Batches. Their functions are explained in the following sections.

In this section

Test Configurations

Batches

Test Runs

Searching Test Runs

Test Iteration

Result View

See Also

Data History

Data Store and Replay

Run View

Generating CSV Files


Test Configurations

This node allows you to select the desired test runs. The data is represented as a grid. The columns and their grouping are defined by your application.

To access the Test Configurations node:

  1. Click the root item to refresh the test runs component with all available test runs.
  2. Click a specific test configuration item to refresh the test runs component with the corresponding test runs. The data is listed on the right side.

The test run grid allows you to filter by column. Right-clicking a column opens a context menu that makes available a set of functions. Refer to Grid View Right-Click Menu for more information.

Data Miner supports the paging function. Refer to Generic Paging for more information.

See Also

Data Miner

Batches

Test Runs

Searching Test Runs

Test Iteration

Result View


Batches

This is the node under Configurations in the Data Miner window. The application saves batch data under the Batches node. The batch data is saved in different categories. The batch configurations are saved as .XML files. Expand the individual batch categories to display the batch configurations. The batch runs display in the Batch Runs Grid in the upper right-hand side.

To view test runs in a batch :

  1. Click the Batches node to display batch runs for all categories. The batch runs display in the batch runs grid in the upper right-hand side.
  2. Select a run to display all test runs executed in that batch run.

Another section comes just below the batch run grid, the Test Runs Grid.

You can now select individual test runs whose results you want to view. Refer to Result View more information.

See Also

Data Miner

Test Configurations

Test Runs

Searching Test Runs

Test Iteration

Result View


Test Runs

A test run displays specific results of a test and other useful information such as the time when the test started, when it was completed, and so on. Each row in the test runs grid represents a test run.

This section shows the list of test runs. It can be displayed via the Test Configurations node or Searching Test Runs.

The test run grid allows you to filter by column. Right-clicking a column opens a context menu that makes available a set of functions. Refer to Grid View Right-Click Menu for more information.

A separate right-click menu with various functions is available.

The options are described in the following table.

Option | Description
Explore Results Folder | Click this option to explore the folder with individual test run results.
Delete Runs | Click this option to delete a test run.
Generate Report (Wizard) | Click this option to start the generate report wizard. Refer to Generating Report Through Wizard for more information.
Manage Reports | Click this option to open the Manage Reports window that lists the available reports and the individual sections within those reports. You can modify the title and descriptions of the reports and sections. You can also add existing sections to the custom reports. Refer to Managing Reports for more information.
Modify Report Options | Click this option to open the Modify Report Options window, where you can specify attributes that are applicable globally to all reports. Refer to Modifying Global Options for more information.
Reload Configuration | Click this option to load a test configuration.
Re-Run Test | Click this option to run a test again.

See Also

Data Miner

Test Configurations

Batches

Searching Test Runs

Test Iteration

Result View


Searching Test Runs

You can select desired test runs by expanding the Configurations node or searching for test runs using Filter Test Runs. This option applies only to test runs, and not to batch runs.

In the Data Miner window, below the Configurations and Batches nodes, there is a textbox named Filter Test Runs by.

To use the Filter Test Runs by textbox :

  1. Enter any text in this field.
  2. Click Columns to display a drop-down list and select any specific column.
  3. Click Apply.

The filter searches for the specified text in all test runs on the selected column, refreshing the test runs grid with the search result.

See Also

Data Miner

Test Configurations

Batches

Test Runs

Test Iteration

Result View


Test Iteration

An iteration represents a period of time in a test, usually ramp-up, sustain, and ramp-down. A test can contain one or more iterations. The Test Iteration Selector is represented as a tree in the Data Miner window. The root node of the tree is the entire test. Each root node of the tree represents a trial. A trial can contain one or more iterations.

To view information about a particular test iteration:

Click a specific test run to refresh the test iteration selector and the test result view with the relevant information;

The test result appears on the right-hand side of the test iteration selector This could be applied to the entire test or to a specific interaction in the test via the Test Iteration Selector. Refer to Result View for further information.

See Also

Data Miner

Test Configurations

Batches

Test Runs

Searching Test Runs

Result View


Logs

This tab displays test logs for a specific test run. The logs can be different, depending on the test run. There is only one log file per test run.

To view test logs:

  1. Click Select Content.

    A drop-down menu opens

  2. Using the menu, enable or disable the log file.

See Also

Result View

Reports

CSV Files

Stat Views


Reports

This tab displays different kinds of reports. They can be in HTML, .pdf, and .txt format. There are multiple reports that your application can generate.

To view reports:

  1. Click Select Content.

    A drop-down menu opens.

  2. Choose a different report.

See Also

Result View

Logs

CSV Files

Stat Views


CSV Files

This tab displays the .csv files generated by StatViewer. There are multiple .csv files that your application can generate.

To generate CSV files:

  1. Click Select Content.

    A drop-down menu opens.

  2. Choose a different .csv file.

See Also

Result View

Logs

Reports

Stat Views


Stat Views

This tab displays grid and chart views, time and non-time series views. There are multiple views that StatViewer generates.

To visualize a particular view:

  1. Click Select Content.

    A drop-down menu opens.

  2. Choose a different view. A maximum of 4 views can be selected and displayed in the result view area.

See Also

Result View

Logs

Reports

CSV Files


See Also

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

To create a new statistics group:

  1. Type a name for the group in the Stat Group Name field. The default group name is New User Group 1.
  2. In the left-hand tree, select the statistics to include in the group.
  3. Click the [image] button to add the statistics in the right-hand tree under the statistics group heading. To remove the statistics from the group and restore them in the left-hand tree, click the [image] button.

    Note: If you select an existing statistics group, all the statistics in that group are added to the new group. A statistic can appear only once in a group.

  4. Click OK. The created group is added on the stat groups tab control.

The left-hand tree of the Stat Group Selector window makes available a context menu including the following options:

  • Cut (shortcut Ctrl+X) - Cuts a statistic selected to be added to a new stat group.
  • Copy (shortcut Ctrl+C) - Copies a statistic selected to be added to a new stat group.
  • Paste (shortcut Ctrl+V) - Pastes the copied/cut statistic at the end of the group/after the selected stat.
  • Delete - Deletes a selected statistic.

When several statistics groups are defined and there are too many tabs on the stat group tool bar, you can navigate the statistics groups by using the [image] buttons.

See Also

Grouping Stats in Non Time Series Grid Views

Stat Groups Tab Control

Adding a New Stat Group

Reset to Factory Default

Stat Groups Context Menu

Renaming a Stat Group

Presentation Settings

Saving Stat Groups Using GUI Persistence


 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

You can also select a specific statistic to display in the graph.

To select specific statistics to display in the graph:

  1. Select the statistic in the grid below the graph.
  2. StatViewer displays the statistic that you selected, plus the statistics immediately before and after it.

See Also

Chart View

Defining Chart View Controls

Chart View Right-Click Menu

Displaying Specific Statistics in a View

Displaying Statistical Values

Using the Sliders


See Also

 Ixia StatViewer IxLoad 5.30 Help

Previous Topic

Next Topic

You can also load views from a saved test.

To load a view from a saved test:

  1. In the Replay Views tab, click the Load Previous Test option. The Browse for Folder window opens.
  2. From the list of saved tests, select the one you want to replay.
  3. Click OK. The View list is populated with the views from a previously saved test.
  4. Click the >>+ button to transfer the views to the Selected Views list.

After you select the view, either from a running test or a saved test, note that, in the Statistics window, new [Replay] views are added under the views group or any user-defined group in the view tree list. You can choose a view from the list and replay the statistics for that view.

The major advantage of the replay design described above is that it allows the following comparisons at view level:

  • Compare the same view with different timespans
  • Compare views from previous test results with current real time view

See Also

Test Results Selection

Replaying Views


Displaying Views

StatViewer displays grid and chart views, time and non-time series views. This section presents the steps to display and manage a view, also describing the various buttons and options of a grid and a chart view.

After a test runs successfully, the StatViewer window shows a list of available views.

In IxLoad, in the test initialization/apply configuration phase, default views are available in StatViewer.

To view the StatViewer application window:

  1. Click the Apply button.
  2. Click the Start button to start the traffic.
  3. Click the Statistics tab.

The StatViewer window opens.

In this section

Selecting Statistics to Display

Managing View Appearance

Global Settings for Chart and Grid View

Grid View

Chart View

See Also

Viewing Statistics

Resizing Views


Per Session Statistics

Per Session Statistics help to drill down lower-level statistical information. For example, in an Aggregated Statistics Per Protocol Per Port, it is not possible to view or analyze per session statistics individually, when there are multiple sessions per port for a protocol. The Per Session Statistics view helps to view and analyze statistics for each individual session. This helps to have a better control over testing any protocol and analyzing the details.

The Per Session Statistics feature enables you to create special designated views containing detailed information about types of traffic running in specific IxLoad scenarios.

In this section

Drill-Down Views

Per Subscriber Views

See Also

Statistics

Overview

View Functions and Features

Creating Views

Setup View Wizard

Data History

Using Event Viewer

Generating Reports

SNMP

Network Diagnostics

Frame Size Distribution Statistics

QoE/VideoSupport

DDoS Statistics


Selecting Statistics to Display

In the StatViewer window, the views are arranged in the view tree area. You must select a view to display in the view display area of the StatViewer window.

The view tree model is similar to a file Explorer that helps navigate the file and folder structure.

It has three important sections:

  • View tree area. Please refer to View Tree.
  • View Sets. The statistic views are presented in sets that are either associated to each configuration section or user defined. Please refer to View Sets for more information on the collection of groups and views.
  • Views Layout. This tab has six layouts for your views. You can select any one of the options as per your needs. Please refer to Views Layout for more information on the different set of views.
  • New Views. This option has three buttons that can help you select the type of view you want. You can refer to Data for more information on New Views.

In this section

View Tree

View Sets

Views Layout

See Also

Displaying Views

Managing View Appearance

Global Settings for Chart and Grid View

Grid View

Chart View